% File src/library/base/man/Sys.info.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2011 R Core Team
% Distributed under GPL 2 or later

\name{Sys.setFileTime}
\alias{Sys.setFileTime}
\title{
  Set File Time
}
\description{
システムコールを使いファイルやディレクトリの時間を設定する．
}
\usage{
Sys.setFileTime(path, time)
}

\arguments{
  \item{path}{
    ファイルやディレクトリを指定する長さ文字列ベクトル．
  }
  \item{time}{
    クラス \code{"\link{POSIXct}"} の data-time か，
そうしたものに強制変換できるオブジェクト．分数秒は
無視される．
  }
}
\details{
  これはファイルの時間を指定された値に設定しようとする．

Unix 風システムでは利用できればシステムコール \code{utimes} を
使い，さもなければ \code{utimes} を使う．POSIX ファイルシステムでは
これは最後にアクセスした時間と変更時間を設定する．

Windows ではこれはシステムコール \code{SetFileTime} を用いて
 \sQuote{最後の書き込み時間}を設定する．ある種の Windows
 ファイルシステムは数秒程度の解像度で記録するだけである．
}
\value{
  論理値で不可視．もし操作が成功すれば指示．
}
\keyword{file}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/Sys.info.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{Sys.setFileTime}
%\alias{Sys.setFileTime}
%\title{
%  Set File Time
%}
%\description{
%  Uses system calls to set the times on a file or directory.
%}
%\usage{
%Sys.setFileTime(path, time)
%}
%
%\arguments{
%  \item{path}{
%    A length-one character vector specifying the path to a file or directory.
%  }
%  \item{time}{
%    A date-time of class \code{"\link{POSIXct}"} or an object which can
%    be coerced to one.  Fractions of a second are ignored.
%  }
%}
%\details{
%  This attempts sets the file time to the value specified.
%
%  On a Unix-alike it uses the system call \code{utimes} if that is
%  available, otherwise \code{utimes}.  On a POSIX file system it sets
%  both the last-access and modification times.
%
%  On Windows it uses the system call \code{SetFileTime} to set the
%  \sQuote{last write time}.  Some Windows file systems only record the
%  time at a resolution of two seconds.
%}
%\value{
%  Logical, invisibly.  An indication if the operation succeeded.
%}
%\keyword{file}
%
%
\encoding{UTF8}
