% File src/library/base/man/gl.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2013 R Core Team
% Distributed under GPL 2 or later

\name{gl}
\alias{gl}
\title{Generate Factor Levels}
\description{
  水準のパターンを指定して因子を生成する．
}
\usage{
gl(n, k, length = n*k, labels = seq_len(n), ordered = FALSE)
}
\arguments{
  \item{n}{水準の数を与える整数．}
  \item{k}{繰り返し数を与える整数．}
  \item{length}{結果の長さを与える整数．}
  \item{labels}{結果の水準に対するオプションのラベルのベクトル．}
  \item{ordered}{結果が順序付きかそうでないかを指示する論理値．}
}
\value{
  結果は \code{1} から \code{n} までをそれぞれ総計の長さ \code{length}
  の内長さ \code{k} のグループに繰り返した水準である．

  \code{gl} は同名の \emph{GLIM} の関数を真似ている．
}
\seealso{
  基礎にある \code{\link{factor}()}．
}
\examples{
## 最初は Control，それから Treat：
gl(2, 8, labels = c("Control", "Treat"))
## 20 は 1 と 2 を変えるs
gl(2, 1, 20)
## 1 と 2 の対を変える
gl(2, 2, 20)
}
\keyword{category}
\keyword{arith}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/gl.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2013 R Core Team
%% Distributed under GPL 2 or later
%
%\name{gl}
%\alias{gl}
%\title{Generate Factor Levels}
%\description{
%  Generate factors by specifying the pattern of their levels.
%}
%\usage{
%gl(n, k, length = n*k, labels = seq_len(n), ordered = FALSE)
%}
%\arguments{
%  \item{n}{an integer giving the number of levels.}
%  \item{k}{an integer giving the number of replications.}
%  \item{length}{an integer giving the length of the result.}
%  \item{labels}{an optional vector of labels for the resulting factor
%    levels.}
%  \item{ordered}{a logical indicating whether the result should be
%    ordered or not.}
%}
%\value{
%  The result has levels from \code{1} to \code{n} with each value
%  replicated in groups of length \code{k} out to a total length of
%  \code{length}.
%
%  \code{gl} is modelled on the \emph{GLIM} function of the same name.
%}
%\seealso{
%  The underlying \code{\link{factor}()}.
%}
%\examples{
%## First control, then treatment:
%gl(2, 8, labels = c("Control", "Treat"))
%## 20 alternating 1s and 2s
%gl(2, 1, 20)
%## alternating pairs of 1s and 2s
%gl(2, 2, 20)
%}
%\keyword{category}
%\keyword{arith}
%
\encoding{UTF8}
