% File src/library/datasets/man/airquality.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{airquality}
\docType{data}
\title{airquality}
\alias{airquality}
%%\title{New York Air Quality Measurements}
\description{
  ニューヨークの1973年の5月から9月の
  毎日の大気品質観測．
}
\usage{airquality}
\format{
  6変数に対する154観測値のデータフレーム．

  \tabular{rlll}{
    \code{[,1]} \tab \code{Ozone}   \tab 数値 \tab オゾン(ppb)\cr
    \code{[,2]} \tab \code{Solar.R} \tab 数値 \tab 日照量(lang)\cr
    \code{[,3]} \tab \code{Wind}    \tab 数値 \tab 風量(mph)\cr
    \code{[,4]} \tab \code{Temp}    \tab 数値 \tab 温度(華氏)\cr
    \code{[,5]} \tab \code{Month}   \tab 数値 \tab 月(1--12)\cr
    \code{[,6]} \tab \code{Day}     \tab 数値 \tab 月の中の日(1--31)
  }
}
\details{
  May 1, 1973年(木曜日)から September 30, 1973年の
  以下の大気品質の日別記録．

  \itemize{
    \item \code{Ozone}: ルーズベルト島における
    1300時から1500時までの平均オゾン量(単位 ppm)
    \item \code{Solar.R}:
    セントラルパークに於ける
    0800時から1200時までの周波数帯 4000--7700 オングストローム間の
    日照量(単位 Langley)
    \item \code{Wind}:
    LaGuardia 空港に於ける
    0700時から1000時の平均風速(毎時マイル)
    \item \code{Temp}:
    LaGuardia 空港に於ける最高気温(華氏)
  }
}
\source{
  データはニューヨーク州の環境管理局
  (オゾンデータ)と国立気象サービス(気象データ)から得られた．
}
\references{
  Chambers, J. M., Cleveland, W. S., Kleiner, B. and Tukey, P. A. (1983)
  \emph{Graphical Methods for Data Analysis}.
  Belmont, CA: Wadsworth.
}
\examples{
require(graphics)
pairs(airquality, panel = panel.smooth, main = "airquality data")
}
\keyword{datasets}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/datasets/man/airquality.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{airquality}
%\docType{data}
%\alias{airquality}
%\title{New York Air Quality Measurements}
%\description{
%  Daily air quality measurements in New York, May to September 1973.
%}
%\usage{airquality}
%\format{
%  A data frame with 154 observations on 6 variables.
%
%  \tabular{rlll}{
%    \code{[,1]} \tab \code{Ozone}   \tab numeric \tab Ozone (ppb)\cr
%    \code{[,2]} \tab \code{Solar.R} \tab numeric \tab Solar R (lang)\cr
%    \code{[,3]} \tab \code{Wind}    \tab numeric \tab Wind (mph)\cr
%    \code{[,4]} \tab \code{Temp}    \tab numeric \tab Temperature (degrees F)\cr
%    \code{[,5]} \tab \code{Month}   \tab numeric \tab Month (1--12)\cr
%    \code{[,6]} \tab \code{Day}     \tab numeric \tab Day of month (1--31)
%  }
%}
%\details{
%  Daily readings of the following air quality values for May 1, 1973 (a
%  Tuesday) to September 30, 1973.
%
%  \itemize{
%    \item \code{Ozone}: Mean ozone in parts per
%    billion from 1300 to 1500 hours at Roosevelt Island
%    \item \code{Solar.R}: Solar radiation
%    in Langleys in the frequency band 4000--7700 Angstroms from
%    0800 to 1200 hours at Central Park
%    \item \code{Wind}: Average wind speed in miles
%    per hour at 0700 and 1000 hours at LaGuardia Airport
%    \item \code{Temp}: Maximum daily
%    temperature in degrees Fahrenheit at La Guardia Airport.
%  }
%}
%\source{
%  The data were obtained from the New York State Department of
%  Conservation (ozone data) and the National Weather Service
%  (meteorological data).
%}
%\references{
%  Chambers, J. M., Cleveland, W. S., Kleiner, B. and Tukey, P. A. (1983)
%  \emph{Graphical Methods for Data Analysis}.
%  Belmont, CA: Wadsworth.
%}
%\examples{
%require(graphics)
%pairs(airquality, panel = panel.smooth, main = "airquality data")
%}
%\keyword{datasets}
%
%\encoding{UTF8}
%