% File src/library/datasets/man/quakes.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{quakes}
\docType{data}
\title{フィジーの地震位置のデータ}
\alias{quakes}
%%\title{Locations of Earthquakes off Fiji}
\description{
  このデータは MB(実体波マグニチュード) > 4.0 の1000の地震の位置を与える．
  地震はフィジー近くの立方体中で1964年以降起きたものである．
}
\usage{quakes}
\format{
  5変数1000観測値のデータフレーム．
  \tabular{rlll}{
    [,1] \tab lat      \tab 数値 \tab 事象の緯度\cr
    [,2] \tab long     \tab 数値 \tab 経度\cr
    [,3] \tab depth    \tab 数値 \tab 震度(km)\cr
    [,4] \tab mag      \tab 数値 \tab リヒターマグニチュード\cr
    [,5] \tab stations \tab 数値 \tab 観測所番号
  }
}
\source{
  これは Harvard PRIM-H プロジェクトのデータセットの一部である．
  そして彼らはそれを
  Dr. John Woodhouse, Dept. of Geophysics, Harvard
  University から入手した．
}
\details{
  地震活動の二つのはっきりした平面がある．
  一つは主要プレートの接合部である；他は
  ニュージーランド沖のトンガ海溝である．
  これらのデータは5000個の観測値を含むより大きなデータセットの
  一部である．
}
\examples{
require(graphics)
pairs(quakes, main = "Fiji Earthquakes, N = 1000", cex.main = 1.2, pch = ".")
}
\keyword{datasets}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/datasets/man/quakes.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{quakes}
%\docType{data}
%\alias{quakes}
%\title{Locations of Earthquakes off Fiji}
%\description{
%  The data set give the locations of 1000 seismic events of MB > 4.0.
%  The events occurred in a cube near Fiji since 1964.
%}
%\usage{quakes}
%\format{
%  A data frame with 1000 observations on 5 variables.
%  \tabular{rlll}{
%    [,1] \tab lat      \tab numeric \tab Latitude of event\cr
%    [,2] \tab long     \tab numeric \tab Longitude\cr
%    [,3] \tab depth    \tab numeric \tab Depth (km)\cr
%    [,4] \tab mag      \tab numeric \tab Richter Magnitude\cr
%    [,5] \tab stations \tab numeric \tab Number of stations reporting
%  }
%}
%\source{
%  This is one of the Harvard PRIM-H project data sets.  They in turn
%  obtained it from Dr. John Woodhouse, Dept. of Geophysics, Harvard
%  University.
%}
%\details{
%  There are two clear planes of seismic activity.  One is a major plate
%  junction; the other is the Tonga trench off New Zealand.  These data
%  constitute a subsample from a larger dataset of containing 5000
%  observations.
%}
%\examples{
%require(graphics)
%pairs(quakes, main = "Fiji Earthquakes, N = 1000", cex.main = 1.2, pch = ".")
%}
%\keyword{datasets}
%
%\encoding{UTF8}
%