% File src/library/grDevices/man/colors.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2012 R Core Team
% Copyright 2002-2012 The R Foundation
% Distributed under GPL 2 or later

\name{colors}
\alias{colors}
\title{色名}
\alias{colours}
%%\title{Color Names}
\description{
  \R が知っている組み込みの色名を返す．
}
\usage{
colors (distinct = FALSE)
colours(distinct = FALSE)
}
\arguments{
  \item{distinct}{返される色は全て異なるべきかどうかを指示する論理値：
    例えば
    \code{"snow"} と \code{"snow1"} は実効的には
    \eqn{(0:255)^3} RGB 空間で同じ点になる．}
}
\details{
  色名はグラフィックス関数中の
  \code{col=} 指定で使われる．

  更に広範囲の色がプリミティブな
  \code{rgb}, \code{hsv} そして \code{hcl} で作ることが出来る．
  又は \code{rainbow}, \code{heat.colors} 等から導ける．
}
\value{
  全ての組み込みの色名を含む文字列ベクトル．
}
\seealso{
  \code{par(col=}\emph{<num>}\code{)} に対する色\sQuote{パレット}の
  設定には \code{\link{palette}}；
  良い例には \code{\link{rgb}}, \code{\link{hsv}}, \code{\link{hcl}}, \code{\link{gray}};
  \code{\link{rainbow}}；
  そしてイメージは \code{\link{heat.colors}}, \code{\link{topo.colors}}．

  RGB 数への変換と例は \code{\link{col2rgb}}．
}
\examples{
cl <- colors()
length(cl); cl[1:20]

length(cl. <- colors(TRUE))
## 657 種類の名前付き色の内僅か 502 種類

## ----------- 全ての名前付き色とその他：
demo("colors")
## -----------
}
\keyword{color}
\keyword{dplot}
\keyword{sysdata}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grDevices/man/colors.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2012 R Core Team
%% Copyright 2002-2012 The R Foundation
%% Distributed under GPL 2 or later
%
%\name{colors}
%\alias{colors}
%\alias{colours}
%\title{Color Names}
%\description{
%  Returns the built-in color names which \R knows about.
%}
%\usage{
%colors (distinct = FALSE)
%colours(distinct = FALSE)
%}
%\arguments{
%  \item{distinct}{logical indicating if the colors returned should all be
%    distinct; e.g., \code{"snow"} and \code{"snow1"} are effectively the
%    same point in the \eqn{(0:255)^3} RGB space.}
%}
%\details{
%  These color names can be used with a \code{col=} specification in
%  graphics functions.
%
%  An even wider variety of colors can be created with primitives
%  \code{rgb}, \code{hsv} and \code{hcl}, or the derived \code{rainbow},
%  \code{heat.colors}, etc.
%}
%\value{
%  A character vector containing all the built-in color names.
%}
%\seealso{
%  \code{\link{palette}} for setting the \sQuote{palette} of colors for
%  \code{par(col=}\emph{<num>}\code{)};
%  \code{\link{rgb}}, \code{\link{hsv}}, \code{\link{hcl}}, \code{\link{gray}};
%  \code{\link{rainbow}} for a nice example;
%  and \code{\link{heat.colors}}, \code{\link{topo.colors}} for images.
%
%  \code{\link{col2rgb}} for translating to RGB numbers and extended
%  examples.
%}
%\examples{
%cl <- colors()
%length(cl); cl[1:20]
%
%length(cl. <- colors(TRUE))
%## only 502 of the 657 named ones
%
%## ----------- Show all named colors and more:
%demo("colors")
%## -----------
%}
%\keyword{color}
%\keyword{dplot}
%\keyword{sysdata}
%
%\encoding{UTF-8}
%