% File src/library/grDevices/man/extendrange.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{extendrange}
\title{数値範囲を少し拡大する}
\alias{extendrange}
%%\title{Extend a Numerical Range by a Small Percentage}
\description{
  数値範囲を\emph{両端で}数パーセント，つまり割合で，拡大する，
  
}
\usage{
extendrange(x, r = range(x, na.rm = TRUE), f = 0.05)
}
\arguments{
  \item{x}{数値ベクトル：
    もし \code{r} が指定されると使われない．}
  \item{r}{長さ 2 の数値ベクトル；既定では
    \code{x} の \code{\link{range}}．}
  \item{f}{範囲をその分拡大する割合を指定する数値．}
}
\seealso{\code{\link{range}}; 
  \code{extendrange} の賢明な拡張と考えられる \code{\link{pretty}}．
}
\value{
  長さ 2 の数値ベクトル，\code{r + c(-f,f) * diff(r)}．
}
\examples{
x <- 1:5
(r <- range(x))         # 1    5
extendrange(x)          # 0.8  5.2
extendrange(x, f= 0.01) # 0.96 5.04
## もし既にあれば 'r' を使う：
stopifnot(identical(extendrange(r = r),
                    extendrange(x)))
}
\keyword{dplot}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grDevices/man/extendrange.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{extendrange}
%\alias{extendrange}
%\title{Extend a Numerical Range by a Small Percentage}
%\description{
%  Extends a numerical range by a small percentage, i.e., fraction,
%  \emph{on both sides}.
%}
%\usage{
%extendrange(x, r = range(x, na.rm = TRUE), f = 0.05)
%}
%\arguments{
%  \item{x}{numeric vector; not used if \code{r} is specified.}
%  \item{r}{numeric vector of length 2; defaults to the
%    \code{\link{range}} of \code{x}.}
%  \item{f}{number specifying the fraction by which the range should be
%    extended.}
%}
%\seealso{\code{\link{range}}; \code{\link{pretty}} which can be
%  considered a sophisticated extension of \code{extendrange}.
%}
%\value{
%  A numeric vector of length 2, \code{r + c(-f,f) * diff(r)}.
%}
%\examples{
%x <- 1:5
%(r <- range(x))         # 1    5
%extendrange(x)          # 0.8  5.2
%extendrange(x, f= 0.01) # 0.96 5.04
%## Use 'r' if you have it already:
%stopifnot(identical(extendrange(r = r),
%                    extendrange(x)))
%}
%\keyword{dplot}
%
%\encoding{UTF-8}
%