% File src/library/grid/man/absolute.size.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{absolute.size}
%@%\alias{グロッブの絶対サイズ}
\alias{absolute.size}
\title{グロッブの絶対サイズ}
%\title{ Absolute Size of a Grob }
\description{
  この関数は単位オブジェクトを絶対的単位に変換する．
  絶対的単位は影響を受けないが，絶対的でない単位は
  \code{"null"} 単位に変換される．
}
\usage{
absolute.size(unit)
}
\arguments{
  \item{unit}{クラス \code{"unit"} のオブジェクト．}
}
\details{
  絶対的単位は
  \code{"inches"}, \code{"cm"},
  そして \code{"lines"} のようなものである．絶対的でない単位は
  \code{"npc"} と \code{"native"} である．

  この関数は \code{widthDetails} と
  \code{heightDetails} メソッド中で使われるようにデザインされている．
}
\value{
  クラス \code{"unit"} のオブジェクト．
}
\author{ Paul Murrell }
\seealso{
  \code{\link{widthDetails}}
  と \code{\link{heightDetails}} メソッド．
}
\keyword{ dplot }

\encoding{UTF8}
