% File src/library/grid/man/drawDetails.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2013 R Core Team
% Distributed under GPL 2 or later

\name{drawDetails}
%@%\alias{drawDetails}
\alias{drawDetails}
\alias{preDrawDetails}
\alias{postDrawDetails}
\title{グリッド描画のカスタム化}
%\title{ Customising grid Drawing }
\description{
  この総称的フック関数はグリッドの grob が描かれる度に
  呼び出される．
  それらは grob (または gTree)から導かれた新しいクラス
  の描画をカスタム化する機会を提供する．
}
\usage{
drawDetails(x, recording)
preDrawDetails(x)
postDrawDetails(x)
}
\arguments{
  \item{x}{グリッドの grob．}
  \item{recording}{
    grob をディスプレイリストに加えるか
    ディスプレイリストから再描画するかを指示する論理値．}
}
\details{
  これらの関数は
  grob と gTree に対する \code{grid.draw} メソッドにより
  呼び出される．

  \code{preDrawDetails} は最初
  grob の描画の間に呼び出される．
  これは任意の追加のビューポートがプッシュされるべき
  場所である
  (例えば \code{grid:::preDrawDetails.frame} を見よ)．
  grob に対する既定動作は
  \code{vp} スロット中の任意のビューポートをプッシュすることであり，
  gTrees に対しては
  \code{childrenvp} スロット中の任意のビューポートをまた
  プッシュしアップすることであり，従って
  典型的にはここで行われることはないことを注意する．

  \code{drawDetails} が
  追加の計算とグラフィカルな出力が起こる箇所で次に呼びだされる
  (例えば \code{grid:::drawDetails.xaxis} を見よ)．
  gTrees に対する既定動作は
  \code{children} スロット中の全ての grob を
  描画することであり従ってここでは典型的に何も行われないことを
  注意する．

  \code{postDrawDetails} が最後に呼び出され
  \code{preDrawDetails} 中で行われた全てを逆転する
  (つまりプッシュされた任意のビューポートをポップしアップする；
  \code{grid:::postDrawDetails.frame}) を再び例えば見よ)．
  grob に対する既定動作はプッシュされた任意のビューポートを
  ポップすることであり，従ってここでは
  典型的に何も行われない．

  \code{preDrawDetails} と \code{postDrawDetails} はまた
  \code{"grobwidth"} と \code{"grobheight"} 単位の計算の
  間にも呼び出されることを注意する．
}
\value{
  これらの関数のどれも値を返すことは期待されていない．
}
\author{ Paul Murrell }
\seealso{ \code{\link{grid.draw}} }
\keyword{ dplot }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/drawDetails.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2013 R Core Team
%% Distributed under GPL 2 or later
%
%\name{drawDetails}
%\alias{drawDetails}
%\alias{preDrawDetails}
%\alias{postDrawDetails}
%\title{ Customising grid Drawing }
%\description{
%  These generic hook functions are called whenever a grid grob is drawn.
%  They provide an opportunity for customising the drawing of a
%  new class derived from grob (or gTree).
%}
%\usage{
%drawDetails(x, recording)
%preDrawDetails(x)
%postDrawDetails(x)
%}
%\arguments{
%  \item{x}{ A grid grob. }
%  \item{recording}{ A logical value indicating whether a grob
%  is being added to the display list or redrawn from the display list. }
%}
%\details{
%  These functions are called by the \code{grid.draw} methods for grobs
%  and gTrees.
%
%  \code{preDrawDetails} is called first during the drawing of a grob.
%  This is where any additional viewports should be pushed (see,
%  for example, \code{grid:::preDrawDetails.frame}).  Note that
%  the default behaviour for grobs is to push any viewports in the
%  \code{vp} slot, and for gTrees is to also push and up any viewports in the
%  \code{childrenvp} slot so there is typically nothing to do here.
%
%  \code{drawDetails} is called next and is where any additional
%  calculations and graphical output should occur (see, for example,
%  \code{grid:::drawDetails.xaxis}.  Note that the default behaviour
%  for gTrees is to draw all grobs in the \code{children} slot
%  so there is typically nothing to do here.
%
%  \code{postDrawDetails} is called last and should reverse anything
%  done in \code{preDrawDetails} (i.e., pop or up any viewports that were
%  pushed;  again, see,
%  for example, \code{grid:::postDrawDetails.frame}).  Note that the
%  default behaviour for grobs is to pop any viewports that were pushed
%  so there is typically nothing to do here.
%
%  Note that \code{preDrawDetails} and \code{postDrawDetails} are
%  also called in the calculation of \code{"grobwidth"} and
%  \code{"grobheight"} units.
%}
%\value{
%  None of these functions are expected to return a value.
%}
%\author{ Paul Murrell }
%\seealso{ \code{\link{grid.draw}} }
%\keyword{ dplot }
%
%\encoding{UTF8}
%