% File src/library/grid/man/grid.circle.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2015 R Core Team
% Distributed under GPL 2 or later

\name{grid.circle}
%@%\alias{円を描く}
\alias{grid.circle}
\alias{circleGrob}
\title{円を描く}
%\title{ Draw a Circle }
\description{
  円を作り描画する関数．
}
\usage{
grid.circle(x=0.5, y=0.5, r=0.5, default.units="npc", name=NULL,
            gp=gpar(), draw=TRUE, vp=NULL)
circleGrob(x=0.5, y=0.5, r=0.5, default.units="npc", name=NULL,
            gp=gpar(), vp=NULL)
}
\arguments{
  \item{x}{
    x 位置を指定する数値ベクトルか単位オブジェクト．}
  \item{y}{
    y 位置を指定する数値ベクトルか単位オブジェクト．}
  \item{r}{
    半径を指定する数値ベクトルか単位オブジェクト．}
  \item{default.units}{
    もし \code{x}, \code{y}, \code{width} または \code{height}
    が数値としてだけ与えられた時使われる既定の単位を指示する
    文字列．}
  \item{name}{文字識別子．}
  \item{gp}{
    クラス \code{gpar} のオブジェクトで，典型的には
    関数 \code{gpar} の呼び出しの出力．これは基本的には
    グラフィックスパラメータの設定のりストである．}
  \item{draw}{グラフィックス出力を生成するかどうかを指示する論理値．}
  \item{vp}{グリッドのビューポートオブジェクト(または NULL)．}
}
\details{
  どちらの関数も円の
  grob (円を記述するグラフィカルオブジェクト)を作るが，
  \code{grid.circle()} だけが円を描く
  (そしてもし \code{draw} が \code{TRUE} の時だけ)．

  半径は任意の単位で与えることが出来る；
  もし単位が\emph{相対的}(例えば \code{"npc"} や
  \code{"native"})ならば半径は
  それが幅か高さとして解釈されるのに応じて異なる．
  そうした場合これらの二つの値の小さいほうが結果になる．
  この効果を見るには \code{grid.circle()} とタイプし
  ウィンドのサイズを調整する．

  非常に小さな半径に対して何が起こるかはデバイス依存である：
  円は見え無くなるかもしれないし固定した最小値で表示されるかもしれない：
  半径ゼロの円はプロットされない．
}
\section{警告}{
  半径に対する負の値は黙って絶対値に変換される．
  }
\value{
  円の grob．\code{grid.circle()} は値を不可視で返す．
}
\author{Paul Murrell}
\seealso{
  \link{Grid},
  \code{\link{viewport}}
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/grid.circle.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2015 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grid.circle}
%\alias{grid.circle}
%\alias{circleGrob}
%\title{ Draw a Circle }
%\description{
%  Functions to create and draw a circle.
%}
%\usage{
%grid.circle(x=0.5, y=0.5, r=0.5, default.units="npc", name=NULL,
%            gp=gpar(), draw=TRUE, vp=NULL)
%circleGrob(x=0.5, y=0.5, r=0.5, default.units="npc", name=NULL,
%            gp=gpar(), vp=NULL)
%}
%\arguments{
%  \item{x}{A numeric vector or unit object specifying x-locations.}
%  \item{y}{A numeric vector or unit object specifying y-locations.}
%  \item{r}{A numeric vector or unit object specifying radii.}
%  \item{default.units}{A string indicating the default units to use
%    if \code{x}, \code{y}, \code{width}, or \code{height}
%    are only given as numeric vectors.}
%  \item{name}{ A character identifier. }
%  \item{gp}{An object of class \code{gpar}, typically the output
%    from a call to the function \code{gpar}.  This is basically
%    a list of graphical parameter settings.}
%  \item{draw}{A logical value indicating whether graphics output
%    should be produced.}
%  \item{vp}{A Grid viewport object (or NULL).}
%}
%\details{
%  Both functions create a circle grob (a graphical object describing a
%  circle), but only \code{grid.circle()}
%  draws the circle (and then only if \code{draw} is \code{TRUE}).
%
%  The radius may be given in any
%  units;  if the units are \emph{relative} (e.g., \code{"npc"} or
%  \code{"native"}) then the radius will be different depending on
%  whether it is interpreted as a width or as a height.  In such cases,
%  the smaller of these two values will be the result.  To see the
%  effect, type \code{grid.circle()} and adjust the size of the window.
%
%  What happens for very small radii is device-dependent: the
%  circle may become invisible or be shown at a fixed minimum size.
%  Circles of zero radius will not be plotted.
%}
%\section{Warning}{
%  Negative values for the radius are silently converted to their
%  absolute value.
%  }
%\value{
%  A circle grob.  \code{grid.circle()} returns the value invisibly.
%}
%\author{Paul Murrell}
%\seealso{
%  \link{Grid},
%  \code{\link{viewport}}
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%