% File src/library/grid/man/grid.rect.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{grid.rect}
%@%\alias{矩形を描く}
\alias{grid.rect}
\alias{rectGrob}
\title{矩形を描く}
%\title{Draw rectangles }
\description{
  これらの関数は矩形を作り描画する．
}
\usage{
grid.rect(x = unit(0.5, "npc"), y = unit(0.5, "npc"),
          width = unit(1, "npc"), height = unit(1, "npc"),
          just = "centre", hjust = NULL, vjust = NULL,
          default.units = "npc", name = NULL,
          gp=gpar(), draw = TRUE, vp = NULL)
rectGrob(x = unit(0.5, "npc"), y = unit(0.5, "npc"),
         width = unit(1, "npc"), height = unit(1, "npc"),
         just = "centre", hjust = NULL, vjust = NULL,
         default.units = "npc", name = NULL,
         gp=gpar(), vp = NULL)
}
\arguments{
  \item{x}{
    x 位置を指定する数値ベクトルか単位オブジェクト．}
  \item{y}{
    y 位置を指定する数値ベクトルか単位オブジェクト．}
  \item{width}{
    幅を指定する数値ベクトルか単位オブジェクト．}
  \item{height}{
    高さを指定する数値ベクトルか単位オブジェクト．}
  \item{just}{
    矩形のその (x, y) 位置に対する位置揃え．
    もし二つの値があると，最初の値は水平方向の位置揃えで
    二番目の値は垂直方向の位置揃えを指定する．
    可能な文字列値は：
    \code{"left"},
    \code{"right"}, \code{"centre"}, \code{"center"}, \code{"bottom"},
    そして \code{"top"}．数値の値に対しては
    0 は左揃え，1 は右揃えを意味する．
  }
  \item{hjust}{
    水平方向の位置揃えを指定する数値ベクトル．
    もし指定されると \code{just} の設定を上書きする．}
  \item{vjust}{
    垂直方向の位置揃えを指定する数値ベクトル．
    もし指定されると \code{just} の設定を上書きする．}
  \item{default.units}{
    もし \code{x}, \code{y}, \code{width} または
    \code{height} が数値ベクトルとしてだけ与えられた時に
    使われる既定の単位を指示する文字列．}
  \item{name}{文字列識別子．}
  \item{gp}{
    クラス \code{gpar} のオブジェクトで，典型的には
    関数 \code{gpar} への呼び出しからの出力．
    これは基本的にグラフィカルパラメータ設定のリストである．}
  \item{draw}{グラフィカルな出力を作るべきかどうかを
    指示する論理値．}
  \item{vp}{グリッドのビューポートオブジェクト(または NULL)．}
}
\details{
  どちらの関数も矩形 grob (矩形を表現するグラフィカルオブジェクト)を
  返すが，\code{grid.rect} は矩形を描画する
  (そして \code{draw} が \code{TRUE} の時だけ)．

}
\value{
  矩形 grob．\code{grid.rect} は値を不可視で返す．
}
\author{Paul Murrell}
\seealso{
  \link{Grid},
  \code{\link{viewport}}
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/grid.rect.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{grid.rect}
%\alias{grid.rect}
%\alias{rectGrob}
%\title{Draw rectangles }
%\description{
%  These functions create and draw rectangles.
%}
%\usage{
%grid.rect(x = unit(0.5, "npc"), y = unit(0.5, "npc"),
%          width = unit(1, "npc"), height = unit(1, "npc"),
%          just = "centre", hjust = NULL, vjust = NULL,
%          default.units = "npc", name = NULL,
%          gp=gpar(), draw = TRUE, vp = NULL)
%rectGrob(x = unit(0.5, "npc"), y = unit(0.5, "npc"),
%         width = unit(1, "npc"), height = unit(1, "npc"),
%         just = "centre", hjust = NULL, vjust = NULL,
%         default.units = "npc", name = NULL,
%         gp=gpar(), vp = NULL)
%}
%\arguments{
%  \item{x}{A numeric vector or unit object specifying x-location.}
%  \item{y}{A numeric vector or unit object specifying y-location.}
%  \item{width}{A numeric vector or unit object specifying width.}
%  \item{height}{A numeric vector or unit object specifying height.}
%  \item{just}{The justification of the rectangle
%    relative to its (x, y) location.  If there are two values, the first
%    value specifies horizontal justification and the second value specifies
%    vertical justification.  Possible string values are: \code{"left"},
%    \code{"right"}, \code{"centre"}, \code{"center"}, \code{"bottom"},
%    and \code{"top"}.  For numeric values, 0 means left alignment
%    and 1 means right alignment.
%  }
%  \item{hjust}{A numeric vector specifying horizontal justification.
%    If specified, overrides the \code{just} setting.}
%  \item{vjust}{A numeric vector specifying vertical justification.
%    If specified, overrides the \code{just} setting.}
%  \item{default.units}{A string indicating the default units to use
%    if \code{x}, \code{y}, \code{width}, or \code{height}
%    are only given as numeric vectors.}
%  \item{name}{ A character identifier. }
%  \item{gp}{An object of class \code{gpar}, typically the output
%    from a call to the function \code{gpar}.  This is basically
%    a list of graphical parameter settings.}
%  \item{draw}{A logical value indicating whether graphics output
%    should be produced.}
%  \item{vp}{A Grid viewport object (or NULL).}
%}
%\details{
%  Both functions create a rect grob (a graphical object describing
%  rectangles), but only \code{grid.rect}
%  draws the rectangles (and then only if \code{draw} is \code{TRUE}).
%
%}
%\value{
%  A rect grob.  \code{grid.rect} returns the value invisibly.
%}
%\author{Paul Murrell}
%\seealso{
%  \link{Grid},
%  \code{\link{viewport}}
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%