% File src/library/grid/man/makeContent.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{makeContent}
%@%\alias{グリッドの grob のカスタム化}
\alias{makeContent}
\alias{makeContext}
\title{グリッドの grob をカスタム化する}
%\title{ Customised grid Grobs }
\description{
  これらの総称的なフック関数は
  グリッドの grob が描かれる度に呼び出される．
  それらは文脈の描画と
  grob (または gTree)から導かれた新しいクラスの内容の描画の
  カスタム化に対する機会を提供する．
}
\usage{
makeContext(x)
makeContent(x)
}
\arguments{
  \item{x}{グリッドの grob．}
}
\details{
  これらの関数は
  grob と gTree に対する \code{grid.draw} メソッドにより呼び出される．

  \code{makeContext} は最初 grob の描画中に呼び出される．
  この関数は
  \code{x} の \code{vp} スロット(そして/または \code{x} が gTree なら
  \code{childrenvp} スロット)を\emph{修正}するのに
  使われるべきである．この関数は修正された \code{x} を返す
  \emph{べき}である．grob に対する既定の挙動は
  \code{vp} スロット中の任意のビューポートをプッシュし，
  そして gTree に対しては
  \code{childrenvp} スロット中の任意のビューポートをプッシュしアップ
  することであるので，この関数は
  grob または gTree に対する文脈の描画をカスタム化するのに使われる
  ことを注意する．

  \code{makeContent} が次に任意の追加の計算が行われグラフィカルな内容が
  生成されるべき箇所で呼び出される
  (例えば \code{grid:::makeContent.xaxis} を見よ)．
  この関数は
  gTree の \code{children} を\emph{修正}するために使われるべきである．
  この関数は修正された \code{x} を返す\emph{べき}である．
  gTree に対する既定の挙動は
  \code{children} スロット中の全ての grob を
  描画することであり，従ってこの関数は
  gTree 中の内容の描画をカスタム化することに使われる．
  簡単な grob に対する内容の描画をカスタム化することも可能であるが，
  より注意が必要になる；例えばこの関数はこの場合
  \code{drawDetails()} メソッドを持つ標準的なグリッドのプリミティブ
  関数を返すべきである．

  \code{makeContent()} が返す \code{x} は
  \code{makeContext()} により行われる任意の変更を
  \emph{含む}ように，
  これらの関数は効果に於いて
  \emph{累積的}であるべきである．
  
  \code{makeContext} はまた
  \code{"grobwidth"} と \code{"grobheight"} 単位の計算中でも
  呼び出されることを注意する．
}
\value{
  どちらの関数も grob か gTree 
  (\code{x} の修正版)を返すことを期待されている.
}
\author{ Paul Murrell }
\seealso{ \code{\link{grid.draw}} }
\keyword{ dplot }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/makeContent.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{makeContent}
%\alias{makeContent}
%\alias{makeContext}
%\title{ Customised grid Grobs }
%\description{
%  These generic hook functions are called whenever a grid grob is drawn.
%  They provide an opportunity for customising the drawing context
%  and drawing content of a
%  new class derived from grob (or gTree).
%}
%\usage{
%makeContext(x)
%makeContent(x)
%}
%\arguments{
%  \item{x}{ A grid grob. }
%}
%\details{
%  These functions are called by the \code{grid.draw} methods for grobs
%  and gTrees.
%
%  \code{makeContext} is called first during the drawing of a grob.
%  This function should be used to \emph{modify} the \code{vp} slot
%  of \code{x} (and/or the \code{childrenvp} slot if \code{x}
%  is a gTree).  The function \emph{must} return the modified \code{x}.
%  Note that
%  the default behaviour for grobs is to push any viewports in the
%  \code{vp} slot, and for gTrees is to also push and up any viewports in the
%  \code{childrenvp} slot, so this function is used to customise the
%  drawing context for a grob or gTree.
%
%  \code{makeContent} is called next and is where any additional
%  calculations should occur and graphical content should
%  be generated (see, for example,
%  \code{grid:::makeContent.xaxis}.
%  This function should be used to \emph{modify} the \code{children}
%  of a gTree.
%  The function \emph{must} return the modified \code{x}.
%  Note that the default behaviour
%  for gTrees is to draw all grobs in the \code{children} slot,
%  so this function is used to customise the drawing content for a gTree.
%  It is also possible to customise the drawing content for a simple
%  grob, but more care needs to be taken;  for example, the function
%  should return a standard grid primitive with a \code{drawDetails()}
%  method in this case.
%
%  Note that these functions should be \emph{cumulative} in their
%  effects, so that the \code{x} returned by \code{makeContent()}
%  \emph{includes} any changes made by \code{makeContext()}.
%
%  Note that \code{makeContext} is
%  also called in the calculation of \code{"grobwidth"} and
%  \code{"grobheight"} units.
%}
%\value{
%  Both functions are expected to return a grob or gTree
%  (a modified version of \code{x}).
%}
%\author{ Paul Murrell }
%\seealso{ \code{\link{grid.draw}} }
%\keyword{ dplot }
%
%\encoding{UTF8}
%