% File src/library/grid/man/plotViewport.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{plotViewport}
\alias{plotViewport}
%@%\alias{標準的なプロットレイアウトのビューポート}
\title{標準的なプロットレイアウトでビューポートを作る}
%\title{ Create a Viewport with a Standard Plot Layout }
\description{
  これは
  標準の S 風のプロットレイアウトを持つビューポートを作るための
  便利関数である -- つまり
  テキストの行数で与えられる余白で囲まれた中心化プロット領域．
}
\usage{
plotViewport(margins=c(5.1, 4.1, 4.1, 2.1), ...)
}
\arguments{
  \item{margins}{基本グラフィックス中の
    \code{par(mar)} と同様に解釈される数値ベクトル．}
  \item{\dots}{全ての他の引数は
  \code{viewport()} 関数の呼び出しに渡される．}
}
\value{
  グリッドのビューポートオブジェクト．
}
\author{ Paul Murrell }
\seealso{
  \code{\link{viewport}} と
  \code{\link{dataViewport}}．
}
\keyword{dplot}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grid/man/plotViewport.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{plotViewport}
%\alias{plotViewport}
%\title{ Create a Viewport with a Standard Plot Layout }
%\description{
%  This is a convenience function for producing a viewport with
%  the common S-style plot layout -- i.e., a central
%  plot region surrounded by margins given in terms of a
%  number of lines of text.
%}
%\usage{
%plotViewport(margins=c(5.1, 4.1, 4.1, 2.1), ...)
%}
%\arguments{
%  \item{margins}{ A numeric vector interpreted in the same way
%    as \code{par(mar)} in base graphics. }
%  \item{\dots}{ All other arguments will be passed to a call to
%  the \code{viewport()} function. }
%}
%\value{
%  A grid viewport object.
%}
%\author{ Paul Murrell }
%\seealso{
%  \code{\link{viewport}} and
%  \code{\link{dataViewport}}.
%}
%\keyword{dplot}
%
%\encoding{UTF8}
%