\name{resolveRasterSize}
\alias{resolveRasterSize}
%@%\alias{ラスタ― grob のサイズの決定}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ラスタ― grob のサイズを決定するユーティリティ関数}
%\title{ Utility function to resolve the size of a raster grob}
\description{
  ラスタ― grob の幅と高さの双方もしくは一方が明示的に与えられない時
  幅と高さを決定する．

  結果はラスタ―イメージのアスペクト比と
  物理的な描画文脈のアスペクト比の双方に依存するので，
  結果はこの関数がその中で呼び出される描画文脈に対してだけ
  正当である．
}
\usage{
resolveRasterSize(x)
}
\arguments{
  \item{x}{ラスタ― grob }
}
\details{
  ラスタ― grob は幅と高さもしくはどちらかを持つ
  \code{NULL} で指定でき，これはラスタ―が描かれるサイズは
  描画時に決定されることを意味する．
  }
\value{
明示的な幅と高さを持つラスタ― grob．
}
\seealso{
\code{\link{grid.raster}}
}
\examples{
# 正方形のラスタ―
rg <- rasterGrob(matrix(0))
# ページ全体を塗りつぶす(ページが正方形の時)
grid.newpage()
resolveRasterSize(rg)$height
grid.draw(rg)
# 高い幅が狭い領域に強制
grid.newpage()
pushViewport(viewport(width=.1))
resolveRasterSize(rg)$height
grid.draw(rg)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ dplot }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\name{resolveRasterSize}
%\alias{resolveRasterSize}
%%- Also NEED an '\alias' for EACH other topic documented here.
%\title{
%  Utility function to resolve the size of a raster grob
%}
%\description{
%  Determine the width and height of a raster grob when one or both
%  are not given explicitly.
%
%  The result depends on both the aspect ratio of the raster image
%  and the aspect ratio of the physical drawing context, so the
%  result is only valid for the drawing context in which this
%  function is called.
%}
%\usage{
%resolveRasterSize(x)
%}
%\arguments{
%  \item{x}{ A raster grob }
%}
%\details{
%  A raster grob can be specified with width and/or height of
%  \code{NULL}, which means that the size at which the raster is
%  drawn will be decided at drawing time.
%  }
%\value{
%A raster grob, with explicit width and height.
%}
%\seealso{
%\code{\link{grid.raster}}
%}
%\examples{
%# Square raster
%rg <- rasterGrob(matrix(0))
%# Fill the complete page (if page is square)
%grid.newpage()
%resolveRasterSize(rg)$height
%grid.draw(rg)
%# Forced to fit tall thin region
%grid.newpage()
%pushViewport(viewport(width=.1))
%resolveRasterSize(rg)$height
%grid.draw(rg)
%}
%% Add one or more standard keywords, see file 'KEYWORDS' in the
%% R documentation directory.
%\keyword{ dplot }
%
%\encoding{UTF8}
%