% File src/library/methods/man/EmptyMethodsList-class.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2015 R Core Team
% Distributed under GPL 2 or later

\name{EmptyMethodsList-class}
\docType{class}
%@%\alias{空のメソッドリストの内部クラス}
\alias{EmptyMethodsList-class}
\title{空のメソッドリストを表現する内部クラス}
%\title{Internal Class representing Empty Methods List }
\description{
  クラス \code{"EmptyMethodsList"} からのオブジェクトは
  失敗した検索を指示するためにメソッドの選択の過程で生成される
  (バックトラックを強制する)．
  ここで説明される他のクラスは内部的にメソッドの選択適用中で使われる．
  これら全ては内部的使用のためのものである．
}
\usage{
## 下で説明されるクラス 
"EmptyMethodsList"

### メソッドの選択適用中に使われる他の仮想クラス
"OptionalMethods"
"PossibleMethod"
}
\section{スロット}{
  \describe{
    \item{\code{argument}:}{選択される引数名である
      クラス \code{"name"} のオブジェクト．}
    \item{\code{sublist}:}{
      Object of class
      クラス \code{"list"} のオブジェクト(未使用で将来のバージョンでは
      恐らく廃止される．) }
  }
}

\section{Methods}{
  クラス \code{"EmptyMethodsList"} のシグネチャ内には如何なる
  メソッドも定義されていない．
}
\seealso{
  関数 \code{\link{MethodsListSelect}}
  (\R のバージョン 3.2.0 以降廃止予定)はこのオブジェクトを使う；
  クラス \code{\linkS4class{MethodsList}} は
  \R 3.2.0 以来形式的には廃止された.
}
\keyword{classes}
\keyword{internal}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/methods/man/EmptyMethodsList-class.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2015 R Core Team
%% Distributed under GPL 2 or later
%
%\name{EmptyMethodsList-class}
%\docType{class}
%\alias{EmptyMethodsList-class}
%\title{Internal Class representing Empty Methods List }
%\description{
%  Objects from class \code{"EmptyMethodsList"} are generated during
%  method selection to indicate failed search (forcing backtracking).
%  Other classes described here are used internally in method dispatch.
%  All these are for internal use.}
%\usage{
%## class described below
%"EmptyMethodsList"
%
%### Other, virtual classes used in method dispatch
%"OptionalMethods"
%"PossibleMethod"
%}
%\section{Slots}{
%  \describe{
%    \item{\code{argument}:}{Object of class \code{"name"} the argument
%      names being selected on.}
%    \item{\code{sublist}:}{Object of class \code{"list"} (unused, and
%      perhaps to be dropped in a later version.) }
%  }
%}
%
%\section{Methods}{
%  No methods defined with class \code{"EmptyMethodsList"} in the
%  signature.
%}
%\seealso{
%  Function \code{\link{MethodsListSelect}} (deprecated since \R version
%  3.2.0) uses the objects;
%  class \code{\linkS4class{MethodsList}} is formally defunct since \R 3.2.0.
%}
%\keyword{classes}
%\keyword{internal}
%
%\encoding{UTF8}
%