% File src/library/methods/man/EnvironmentClass.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{environment-class}
\docType{class}
%@%\alias{環境クラス}
\alias{environment-class}
\title{クラス \code{"environment"}}
%\title{Class \code{"environment"}}
\description{R 環境に対する形式的クラス．}
\section{クラスからのオブジェクト}{
オブジェクトは形式
\code{new("environment", ...)} の呼び出しで作ることが出来る．
\dots 中の引数はもしあれば名前付きでなければならず新しく
作られた環境に付値される．
}


\section{メソッド}{
  \describe{
    \item{coerce}{\code{signature(from = "ANY", to = "environment")}:
      \code{\link{as.environment}} を呼び出す．}
    \item{initialize}{\code{signature(object = "environment")}:
      新しい環境中の付値を実装．
      \code{object} 引数は無視されることを注意する；
      環境はコピーに対して保護されていないため，新しい環境が
      \emph{常に}作られる．}
  }
}
\seealso{ \code{\link{new.env}} }

\keyword{classes}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/methods/man/EnvironmentClass.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{environment-class}
%\docType{class}
%\alias{environment-class}
%\title{Class \code{"environment"}}
%\description{ A formal class for R environments.}
%\section{Objects from the Class}{
%Objects can be created by calls of the form \code{new("environment", ...)}.
%The arguments in \dots, if any, should be named and will be assigned to
%the newly created environment.
%}
%
%
%\section{Methods}{
%  \describe{
%    \item{coerce}{\code{signature(from = "ANY", to = "environment")}:
%      calls \code{\link{as.environment}}. }
%    \item{initialize}{\code{signature(object = "environment")}:
%      Implements the assignments in the new environment.  Note that the
%      \code{object} argument is ignored; a new environment is
%      \emph{always} created, since environments are not protected by copying. }
%  }
%}
%\seealso{ \code{\link{new.env}} }
%
%\keyword{classes}
%
%\encoding{UTF8}
%