% File src/library/methods/man/LanguageClasses.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2008 R Core Team
% Distributed under GPL 2 or later

\name{language-class}
\docType{class}
%@%\alias{言語オブジェクトのクラス}
\alias{language-class}
\alias{(-class}
\alias{<--class}
\alias{call-class}
\alias{for-class}
\alias{if-class}
\alias{repeat-class}
\alias{while-class}
\alias{name-class}
\alias{\{-class}

\title{未評価の言語オブジェクトを表現するクラス}
%\title{Classes to Represent Unevaluated Language Objects }
\description{
  仮想クラス \code{"language"} とそれを拡張する特定のクラスは
  パーサや \code{\link{quote}} の様な関数により作られる
  未評価のオブジェクトを表現する．
}
\usage{
### これらのクラスの各々はS言語の未評価オブジェクトに対応する．
### クラス名はメソッドのシグネチャ中と幾つかの他のコンテクスト
### (as() への呼び出しのような)に登場できる．

"("
"<-"
"call"
"for"
"if"
"repeat"
"while"
"name"
"\{"

### 上のクラスの各々は仮想クラス "language" を拡張する
}
\section{クラスからのオブジェクト}{
\code{"language"} は仮想クラスである；それからは如何なるオブジェクトも
作ることは出来ない．

他のクラスからのオブジェクトは
\code{new(Class, ...)} への呼び出しで生成できる，ここで
\code{Class} は引用化されたクラス名で，そして
\dots 引数は空か
このクラス(拡張)からの\emph{単一}のオブジェクトである．}


\section{メソッド}{
\describe{
\item{coerce}{\code{signature(from = "ANY", to = "call")}．
\code{as(object, "call")} に対するメソッドが存在し，
      \code{as.call()} を呼び出す．}
  }

}
\keyword{classes}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/methods/man/LanguageClasses.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2008 R Core Team
%% Distributed under GPL 2 or later
%
%\name{language-class}
%\docType{class}
%\alias{language-class}
%\alias{(-class}
%\alias{<--class}
%\alias{call-class}
%\alias{for-class}
%\alias{if-class}
%\alias{repeat-class}
%\alias{while-class}
%\alias{name-class}
%\alias{\{-class}
%
%\title{Classes to Represent Unevaluated Language Objects }
%\description{  The virtual class \code{"language"} and the specific
%  classes that extend it represent unevaluated objects, as produced for
%  example by the parser or by functions such as \code{\link{quote}}.
%}
%\usage{
%### each of these classes corresponds to an unevaluated object
%### in the S language.
%### The class name can appear in method signatures,
%### and in a few other contexts (such as some calls to as()).
%
%"("
%"<-"
%"call"
%"for"
%"if"
%"repeat"
%"while"
%"name"
%"\{"
%
%### Each of the classes above extends the virtual class
%"language"
%}
%\section{Objects from the Class}{
%  \code{"language"} is a virtual class; no objects may be created from
%  it.
%
%Objects from the other classes can be generated by a call to
%\code{new(Class, ...)}, where \code{Class} is the quoted class name, and
%the \dots arguments are either empty or a \emph{single} object that is
%from this class (or an extension).}
%
%
%\section{Methods}{
%  \describe{
%    \item{coerce}{\code{signature(from = "ANY", to = "call")}.  A method
%      exists for \code{as(object, "call")}, calling \code{as.call()}. }
%  }
%
%}
%\keyword{classes}
%
%\encoding{UTF8}
%