% File src/library/methods/man/LinearMethodsList-class.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{LinearMethodsList-class}
\docType{class}
%@%\alias{LinearMethodsList クラス}
\alias{LinearMethodsList-class}
\title{"LinearMethodsList" クラス}
%\title{Class "LinearMethodsList"}
\description{
  要約情報を生成するための
  \sQuote{線形化}されたメソッドリストのバージョン．
  メソッドの選択適用に対して使われるクラス \code{"MethodsList"} 
  からの実際のオブジェクトは含まれる引数に関して再帰的に
  定義される．
}
\section{クラスからのオブジェクト}{
  関数 \code{\link{linearizeMlist}} は通常のメソッドリストオブジェクトを
  線形化された形式に変換する．
}
\section{スロット}{
  \describe{
    \item{\code{methods}:}{
      クラス \code{"list"} のオブジェクトで，メソッドの定義．}
    \item{\code{arguments}:}{
      クラス \code{"list"} のオブジェクトで，対応する形式的引数，
      つまり関係するメソッドテーブル中でアクティブな限りの
      総称的関数のシグネチャ中の引数．}
    \item{\code{classes}:}{
      クラス \code{"list"} のオブジェクトで，シグネチャ中の
      対応するクラス．}
    \item{\code{generic}:}{
        クラス \code{"genericFunction"} のオブジェクト；
        メソッドがそれに対応する総称的関数．}
  }
}

\section{将来についての注意}{
  \code{linearizeMlist} の現在のバージョンは
  クラス \code{MethodDefinition} の特徴を利用しておらず，
  従ってそうあるべきよりは少ない努力に
  より多くの作業を行っている．
  特に，保管されたシグネチャを利用するためには
  関数とクラスの双方を再定義しなければならないかもしれない．
  現在の全ての情報は将来も得られるであろうが，
  現在の形式に正確に依存するコードを書かないようにしよう．
}
\seealso{計算に関しては \code{\link{linearizeMlist}}，
  そしてオリジナルの再帰的な形式に対しては
  クラス\cr
  \code{\linkS4class{MethodsList}}．
}

\keyword{classes}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/methods/man/LinearMethodsList-class.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{LinearMethodsList-class}
%\docType{class}
%\alias{LinearMethodsList-class}
%\title{Class "LinearMethodsList"}
%\description{
%  A version of methods lists that has been \sQuote{linearized}
%  for producing summary information.  The actual objects from class
%  \code{"MethodsList"} used for method dispatch are defined recursively
%  over the arguments involved.
%}
%\section{Objects from the Class}{
%  The function \code{\link{linearizeMlist}} converts an ordinary methods
%  list object into the linearized form.
%}
%\section{Slots}{
%  \describe{
%    \item{\code{methods}:}{Object of class \code{"list"}, the method
%      definitions.}
%    \item{\code{arguments}:}{Object of class \code{"list"}, the
%      corresponding formal arguments, namely as many of the arguments
%      in the signature of the generic function as are active in the
%      relevant method table. }
%    \item{\code{classes}:}{Object of class \code{"list"}, the
%      corresponding classes in the signatures. }
%    \item{\code{generic}:}{Object of class \code{"genericFunction"};
%        the generic function to which the methods correspond. }
%  }
%}
%
%\section{Future Note}{
%  The current version of \code{linearizeMlist} does not take advantage of
%  the \code{MethodDefinition} class, and therefore does more work for less
%  effect than it could.  In particular, we may move to redefine both the
%  function and the class to take advantage of the stored signatures.
%  Don't write code depending precisely on the present form, although all
%  the current information will be obtainable in the future.
%}
%\seealso{ Function \code{\link{linearizeMlist}} for the computation,
%  and class \code{\linkS4class{MethodsList}} for the original, recursive
%  form.
%}
%
%\keyword{classes}
%
%\encoding{UTF8}
%