% File src/library/methods/man/MethodWithNext-class.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{MethodWithNext-class}
\docType{class}
%@%\alias{クラス MethodWithNext}
\alias{MethodWithNext-class}
\title{クラス MethodWithNext }
%\title{Class MethodWithNext }
\description{
  callNextMethod に対して設定されたメソッド定義のクラス．}
\section{クラスからのオブジェクト}{
  このクラスからのオブジェクトが \code{\link{callNextMethod}}
  の呼び出しの副作用として生成される．
}
\section{スロット}{
  \describe{
    \item{\code{.Data}:}{
      クラス \code{"function"} のオブジェクト；実際の関数定義．}
    \item{\code{nextMethod}:}{
      クラス \code{"PossibleMethod"} のオブジェクト；
      呼び出し \code{\link{callNextMethod}()} に対応して
      使われるメソッド．}
    \item{\code{excluded}:}{
      クラス \code{"list"} のオブジェクト；
      次のメソッドを見つける際に除外される一つまたはそれ以上のシグネチャ．}
    \item{\code{target}:}{
      クラス \code{"signature"} のオブジェクト，クラス
      \code{"MethodDefinition"} から}
    \item{\code{defined}:}{
      クラス \code{"signature"} のオブジェクト，
      クラス \code{"MethodDefinition"} から}
      \item{\code{generic}:}{
        クラス \code{"character"} のオブジェクト；
	それに対してメソッドが作られた関数．}
  }
}
\section{拡張}{
  クラス \code{"MethodDefinition"}，直接に．\cr
  クラス \code{"function"}，データ部分から．\cr
  クラス \code{"PossibleMethod"}，クラス \code{"MethodDefinition"} により．\cr
  クラス \code{"OptionalMethods"}，クラス \code{"MethodDefinition"} により．
}
\section{メソッド}{
  \describe{
    \item{findNextMethod}{\code{signature(method = "MethodWithNext")}:
      メソッドの選択適用により内部的に使われる．}
    \item{loadMethod}{\code{signature(method = "MethodWithNext")}:
      メソッドの選択適用により内部的に使われる．}
    \item{show}{\code{signature(object = "MethodWithNext")} }
  }
}

\seealso{  \code{\link{callNextMethod}} とクラス
  \code{\linkS4class{MethodDefinition}}．
}
\keyword{classes}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/methods/man/MethodWithNext-class.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{MethodWithNext-class}
%\docType{class}
%\alias{MethodWithNext-class}
%\title{Class MethodWithNext }
%\description{ Class of method definitions set up for callNextMethod }
%\section{Objects from the Class}{
%  Objects from this class are generated as a side-effect of calls to
%  \code{\link{callNextMethod}}.
%}
%\section{Slots}{
%  \describe{
%    \item{\code{.Data}:}{Object of class \code{"function"}; the actual
%      function definition.}
%    \item{\code{nextMethod}:}{Object of class \code{"PossibleMethod"}
%      the method to use in response to a \code{\link{callNextMethod}()}
%      call.}
%    \item{\code{excluded}:}{Object of class \code{"list"}; one or more
%      signatures excluded in finding the next method. }
%    \item{\code{target}:}{Object of class \code{"signature"}, from class
%      \code{"MethodDefinition"}}
%    \item{\code{defined}:}{Object of class \code{"signature"}, from
%      class \code{"MethodDefinition"}}
%      \item{\code{generic}:}{Object of class \code{"character"}; the function
%        for which the method was created. }
%  }
%}
%\section{Extends}{
%  Class \code{"MethodDefinition"}, directly.\cr
%  Class \code{"function"}, from data part.\cr
%  Class \code{"PossibleMethod"}, by class \code{"MethodDefinition"}.\cr
%  Class \code{"OptionalMethods"}, by class \code{"MethodDefinition"}.
%}
%\section{Methods}{
%  \describe{
%    \item{findNextMethod}{\code{signature(method = "MethodWithNext")}:
%      used internally by method dispatch. }
%    \item{loadMethod}{\code{signature(method = "MethodWithNext")}: used
%      internally by method dispatch. }
%    \item{show}{\code{signature(object = "MethodWithNext")} }
%  }
%}
%
%\seealso{  \code{\link{callNextMethod}}, and
%  class \code{\linkS4class{MethodDefinition}}.
%}
%\keyword{classes}
%
%\encoding{UTF8}
%