% File src/library/methods/man/MethodsList-class.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2015 R Core Team
% Distributed under GPL 2 or later

\name{MethodsList-class}
%@%\alias{クラス MethodsList}
\alias{MethodsList-class}
\alias{body<-,MethodDefinition-method}
\docType{class}
\title{クラス MethodsList，廃止されたメソッド表現}
%\title{Class MethodsList, Defunct Representation of Methods }
\description{ このオブジェクトのクラスはメソッドの選択適用を
制御するためにパッケージのオリジナルの実装で使われた．
その使用は今は廃止されているが，オブジェクトは
総称的関数の既定メソッドスロットとして登場する．
これと他の残りの使用は将来取り除かれるであろう．

現代的な代替物については \linkS4class{listOfMethods} を見よ．

このドキュメント中の詳細は旧式のオブジェクトの解析を許すために
残されている．}
\section{スロット}{\describe{

  \item{\code{argument}:}{
    クラス \code{"name"} のオブジェクト．このレベルでの選択適用
    のために使われる引数の名前．}
  \item{\code{methods}:}{
    この引数に対して
    \emph{明示的}に定義されたメソッド(そしてメソッドのリスト)
    の名前付きリスト．名前はクラス名で，そして対応する要素は
    対応する引数がそのクラスをを持てば使われるメソッドか
    メソッドを定義する．詳細は下を見よ．}
  \item{\code{allMethods}:}{
    名前付きリストで，\code{methods} スロットからの全ての
    直接的に定義されたメソッドに
    任意の継承メソッドを含む．
    メソッドテーブルが選択適用に対して使われるときは無視される
    (\link{Methods} を見よ)．}
    }}

\details{
関数 \code{f} が形式的引数 \code{x} と \code{y} を持つとする．
その関数に対するメソッドリストオブジェクトはその
\code{argument} スロットとしてオブジェクト
\code{as.name("x")} を持つ．
もし \code{x} に対応する実際の引数がクラス \code{"track"}
であれば
\code{"track"} という名前のメソッドの要素が選択される．
もしそうした要素があれば，それは一般に関数化別のメソッドリストオブジェクト
であり得る．

最初のケースでは，関数は
\code{x} がクラス \code{"track"} である任意の呼び出しについて使われる
メソッドを定義する．ふたつ目のケースでは，
新しいメソッドリストオブジェクトは
残りの形式的引数に依存する利用可能なメソッドを定義する．

各メソッドは概念的には
\emph{シグネチャ}に対応する；
これはクラスの名前付きのリストで，
名前はあるもしくは全ての形式的引数に対応する．
最初の例では，もし
\code{x} に対してクラス \code{"track"} を選択し，選択が
別のメソッドリストであることがわかり，
そして \code{y} に対してクラス \code{"numeric"} を選択すれば
シグネチャ
\code{x = "track", y = "numeric"} に関連するメソッドが作られる．

}

\section{拡張}{
直接なクラス \code{"OptionalMethods"}．
}
\keyword{classes}
\keyword{methods}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/methods/man/MethodsList-class.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2015 R Core Team
%% Distributed under GPL 2 or later
%
%\name{MethodsList-class}
%\alias{MethodsList-class}
%\alias{body<-,MethodDefinition-method}
%\docType{class}
%\title{Class MethodsList, Defunct Representation of Methods }
%\description{ This class of objects was used in the original
%  implementation of the package to control method dispatch.  Its use
%  is now defunct, but object appear as the default method slot in
%  generic functions.  This and any other remaining uses will be
%  removed in the future.
%
% For the modern alternative, see \linkS4class{listOfMethods}.
%
%The details in this documentation are retained to allow analysis of
%old-style objects. }
%\section{Slots}{\describe{
%
%  \item{\code{argument}:}{Object of class \code{"name"}.  The name of the
%    argument being used for dispatch at this level. }
%  \item{\code{methods}:}{A named list of the methods (and method lists)
%    defined \emph{explicitly} for this argument.
% The names are the names of classes, and the corresponding
%  element defines the method or methods to be used if the corresponding
%  argument has that class.  See the details below.}
%  \item{\code{allMethods}:}{A named list,  contains
%    all the directly defined methods from the \code{methods} slot, plus
%    any inherited methods.  Ignored when methods tables are used for dispatch (see \link{Methods} }
%}}
%
%\details{
%  Suppose a function \code{f} has
%  formal arguments \code{x} and \code{y}.  The methods list object for
%  that function has the object \code{as.name("x")} as its
%  \code{argument} slot.  An element of the methods named \code{"track"}
%  is selected if the actual argument corresponding to \code{x} is an
%  object of class \code{"track"}.  If there is such an element, it can
%  generally be either a function or another methods list object.
%
%  In the first case, the function defines the method to use for any call
%  in which \code{x} is of class \code{"track"}.  In the second case, the
%  new methods list object defines the available methods depending on
%  the remaining formal arguments, in this example, \code{y}.
%
%  Each method  corresponds conceptually to a \emph{signature};
%  that is a named list of classes, with names corresponding to some or
%  all of the formal arguments.  In the previous example, if selecting
%  class \code{"track"} for \code{x}, finding that the selection was
%  another methods list and then selecting class \code{"numeric"} for
%  \code{y} would produce a method associated with the signature
%  \code{x = "track", y = "numeric"}.
%
%}
%
%\section{Extends}{
%Class \code{"OptionalMethods"}, directly.
%}
%\keyword{classes}
%\keyword{methods}
%
%\encoding{UTF8}
%