% File src/library/methods/man/TraceClasses.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{TraceClasses}
\docType{class}
%@%\alias{トーレス制御のためのクラス}
\alias{traceable-class}
\alias{functionWithTrace-class}
\alias{MethodDefinitionWithTrace-class}
\alias{MethodWithNextWithTrace-class}
\alias{genericFunctionWithTrace-class}
\alias{groupGenericFunctionWithTrace-class}
\alias{derivedDefaultMethodWithTrace-class}
\alias{nonstandardGenericWithTrace-class}
%% methods generated by .InitTrace
\alias{show,MethodDefinitionWithTrace-method}
\alias{show,MethodWithNextWithTrace-method}
\alias{show,genericFunctionWithTrace-method}
\alias{show,sourceEnvironment-method}
%% private
\alias{.untracedFunction}
\alias{.makeTracedFunction}
\alias{.doTracePrint}
\alias{.InitTraceFunctions}
\title{トーレスを制御するために内部的に使われるクラス}
%\title{Classes Used Internally to Control Tracing }
\description{
  ここで解説されるクラスは
  R 関数
  \code{\link{trace}} により
  ブラウザー呼び出しを含む関数とメソッドのバージョンを作るのと，
  そしてまた同じオブジェクトを
  \code{\link{untrace}} するのに使われる．}
\section{クラスからのオブジェクト}{
  オブジェクトがこれらのクラスから
  \code{trace} への呼び出しで作られる．
  (クラス \code{"traceable"} に対する
  \code{\link{initialize}} メソッドがあるが
  それを直接使う必要はありそうもない．)
}
\usage{
### 以下のクラスからのオブジェクトは名前に "WithTrace" を
### 持たない対応するオブジェクトに trace() を呼び出すことで作られる．

"functionWithTrace"
"MethodDefinitionWithTrace"
"MethodWithNextWithTrace"
"genericFunctionWithTrace"
"groupGenericFunctionWithTrace"

### 次は上のクラスの各々により拡張される仮想的クラス

"traceable"
}
\section{スロット}{
  \describe{
    \item{\code{.Data}:}{データ部分で，
      クラス \code{"functionWithTrace"} ，そして他のクラス
      に対する \code{"function"}．}
    \item{\code{original}:}{
      オリジナルのクラスのオブジェクト；つまり
      クラス \code{"functionWithTrace"} に対する \code{"function"}．} 
  }
}
\section{拡張}{
  クラスの各々は対応する未トレースクラスをデータ部分から拡張する；
  例えば \code{"functionWithTrace"} は \code{"function"} を拡張する．
  特殊なクラスの各々は
  \code{"traceable"} を直接に拡張し，
  そしてクラス \code{"VIRTUAL"} は \code{"traceable"} により
  拡張される．
}
\section{メソッド}{
  特殊なクラスのポイントは
  関数 \code{trace()} によりそれらから生成されたオブジェクト
  はそれらの新しいトレース情報に加えて呼び出し可能または
  選択不可能に留まることである．
}
\seealso{ 関数 \code{\link{trace}} }
\keyword{classes}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/methods/man/TraceClasses.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{TraceClasses}
%\docType{class}
%\alias{traceable-class}
%\alias{functionWithTrace-class}
%\alias{MethodDefinitionWithTrace-class}
%\alias{MethodWithNextWithTrace-class}
%\alias{genericFunctionWithTrace-class}
%\alias{groupGenericFunctionWithTrace-class}
%\alias{derivedDefaultMethodWithTrace-class}
%\alias{nonstandardGenericWithTrace-class}
%%% methods generated by .InitTrace
%\alias{show,MethodDefinitionWithTrace-method}
%\alias{show,MethodWithNextWithTrace-method}
%\alias{show,genericFunctionWithTrace-method}
%\alias{show,sourceEnvironment-method}
%%% private
%\alias{.untracedFunction}
%\alias{.makeTracedFunction}
%\alias{.doTracePrint}
%\alias{.InitTraceFunctions}
%\title{Classes Used Internally to Control Tracing }
%\description{ The classes described  here are used by the R function
%  \code{\link{trace}} to create versions of functions and methods
%  including browser calls, etc., and also to \code{\link{untrace}} the
%  same objects.}
%\section{Objects from the Class}{
%  Objects will be created from these classes by calls to \code{trace}.
%  (There is an \code{\link{initialize}} method for class
%  \code{"traceable"}, but you are unlikely to need it directly.)
%}
%\usage{
%### Objects from the following classes are generated
%### by calling trace() on an object from the corresponding
%### class without the "WithTrace" in the name.
%
%"functionWithTrace"
%"MethodDefinitionWithTrace"
%"MethodWithNextWithTrace"
%"genericFunctionWithTrace"
%"groupGenericFunctionWithTrace"
%
%### the following is a virtual class extended by each of the
%### classes above
%
%"traceable"
%}
%\section{Slots}{
%  \describe{
%    \item{\code{.Data}:}{The data part, which will be \code{"function"}
%      for class \code{"functionWithTrace"}, and similarly for the other
%      classes.}
%    \item{\code{original}:}{Object of the original class; e.g.,
%      \code{"function"} for class \code{"functionWithTrace"}. }
%  }
%}
%\section{Extends}{
%  Each of the classes extends the corresponding untraced class, from the
%  data part; e.g., \code{"functionWithTrace"} extends \code{"function"}.
%  Each of the specific classes extends \code{"traceable"}, directly,
%  and class \code{"VIRTUAL"}, by class \code{"traceable"}.
%}
%\section{Methods}{
%  The point of the specific classes is that objects generated from them,
%  by function \code{trace()}, remain callable or dispatchable, in
%  addition to their new trace information.
%}
%\seealso{ function \code{\link{trace}} }
%\keyword{classes}
%
%\encoding{UTF8}
%