% File src/library/methods/man/canCoerce.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{canCoerce}
%@%\alias{クラス S4 に強制変換できるか?}
\alias{canCoerce}
\title{オブジェクトをある S4 クラスに強制変換できるか?}
%\title{Can an Object be Coerced to a Certain S4 Class?}
\description{
  あるオブジェクトが与えられた S4 クラスに強制変換できるかどうかを
  テストする．
  \code{if()} の内部で呼び出し
  \code{as(object, Class)} がメソッドを見つけられるかどうかを
  確認するのに役立つかもしれない．
}
\usage{
canCoerce(object, Class)
}
\arguments{
  \item{object}{任意の \R オブジェクトで，典型的に
    形式的 S4 クラス．}
  \item{Class}{ある S4 クラス(\code{\link{isClass}} を見よ)．}
}
\value{
  スカラの論理値，もし
  \code{(from = class(object), to = Class)} に
  対する \code{coerce} メソッド
  (例えば \sspace{}\code{\link{setAs}} で定義されるような)が
  あれば \code{TRUE}．
}
\seealso{\code{\link{as}}, \code{\link{setAs}},
  \code{\link{selectMethod}}, \code{\link{setClass}},
}
\examples{
m <- matrix(pi, 2,3)
canCoerce(m, "numeric") # TRUE
canCoerce(m, "array")   # TRUE
}
%% FIXME: give an interesting one returning FALSE
\keyword{classes}
\keyword{methods}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/methods/man/canCoerce.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{canCoerce}
%\alias{canCoerce}
%\title{Can an Object be Coerced to a Certain S4 Class?}
%\description{
%  Test if an object can be coerced to a given S4 class.
%  Maybe useful inside \code{if()} to ensure that calling
%  \code{as(object, Class)} will find a method.
%}
%\usage{
%canCoerce(object, Class)
%}
%\arguments{
%  \item{object}{any \R object, typically of a formal S4 class.}
%  \item{Class}{an S4 class (see \code{\link{isClass}}).}
%}
%\value{
%  a scalar logical, \code{TRUE} if there is a \code{coerce} method
%  (as defined by e.g.\sspace{}\code{\link{setAs}}) for the signature
%  \code{(from = class(object), to = Class)}.
%}
%\seealso{\code{\link{as}}, \code{\link{setAs}},
%  \code{\link{selectMethod}}, \code{\link{setClass}},
%}
%\examples{
%m <- matrix(pi, 2,3)
%canCoerce(m, "numeric") # TRUE
%canCoerce(m, "array")   # TRUE
%}
%%% FIXME: give an interesting one returning FALSE
%\keyword{classes}
%\keyword{methods}
%
%\encoding{UTF8}
%