% File src/library/methods/man/languageEl.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{languageEl}
%@%\alias{言語オブジェクトの要素}
\alias{languageEl}
\alias{languageEl<-}
\alias{isGrammarSymbol}
\title{言語オブジェクトの要素}
%\title{Elements of Language Objects}
\description{
  言語オブジェクトへのある種の操作をサポートする内部的ルーチン．
}
\usage{
languageEl(object, which)

isGrammarSymbol(symbol)
}
\section{関数の要約}{
  \describe{
    \item{\code{languageEl}:}{
      異なった種類のオブジェクトに対して一貫性を持つように，
      言語オブジェクトの要素を取り出す．

      最初，等の関数の要素は形式的引数に対応し，値としてもしあれば
      既定表現を持つ．

      呼び出しの最初の要素は名前か呼び出されている関数オブジェクト．

      二番目，三番目等の要素は一番目，二番目の表現式引数．
      取り出された名前の形式は R と S-Plus では異なる．
      呼び出しの名前(最初の要素)が置き換えられると，
      languageEl 置き換え関数は
      もs時列を各システムに対する内部形式に強制変換する．

      \code{if} 表現式の要素は
      テスト，第一そして二つ目の分岐である．

      \code{for} オブジェクトの第一要素はループ中で
      使われている名前(シンボル)で，
      第二はループ範囲に対する表現式，三番目はループの
      本体である．

      \code{while} オブジェクトの第一用spはループテストで，そして
      二番目はループの本体である．
    }

    \item{\code{isGrammarSymbol}:}{
      シンボルが文法の一部かどうかをチェックする．
      この関数を直接使わないこと．
    }
  }
}
\keyword{internal}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/methods/man/languageEl.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{languageEl}
%\alias{languageEl}
%\alias{languageEl<-}
%\alias{isGrammarSymbol}
%\title{Elements of Language Objects}
%\description{
%  Internal routines to support some operations on language objects.
%}
%\usage{
%languageEl(object, which)
%
%isGrammarSymbol(symbol)
%}
%\section{Summary of Functions}{
%  \describe{
%    \item{\code{languageEl}:}{
%      extract an element of a language object, consistently for
%      different kinds of objects.
%
%      The 1st., etc. elements of a function are the corresponding formal
%      arguments, with the default expression if any as value.
%
%      The first element of a call is the name or the function object
%      being called.
%
%      The 2nd, 3rd, etc. elements are the 1st, 2nd, etc. arguments
%      expressions.  Note that the form of the extracted name is
%      different for R and S-Plus.  When the name (the first element) of
%      a call is replaced, the languageEl replacement function coerces a
%      character string to the internal form for each system.
%
%      The 1st, 2nd, 3rd elements of an \code{if} expression are the
%      test, first, and second branch.
%
%      The 1st element of a \code{for} object is the name (symbol) being
%      used in the loop, the second is the expression for the range of
%      the loop, the third is the body of the loop.
%
%      The first element of a \code{while} object is the loop test, and
%      the second the body of the loop.
%    }
%
%    \item{\code{isGrammarSymbol}:}{
%      Checks whether the symbol is part of the grammar.
%      Don't use this function directly.
%    }
%  }
%}
%\keyword{internal}
%
%\encoding{UTF8}
%