% File src/library/methods/man/promptMethods.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{promptMethods}
%@%\alias{形式的メソッドのドキュメントに対するシェル}
\alias{promptMethods}
\title{ 形式的メソッドのドキュメントに対するシェルを生成}
%\title{ Generate a Shell for Documentation of Formal Methods }
\description{
  総称的関数のメソッドのドキュメントに対するシェルを生成する．
}
\usage{
promptMethods(f, filename = NULL, methods)
}
\arguments{
  \item{f}{
    そのメソッドがドキュメント化されるべき総称的関数の名前を与える文字列．}
  \item{filename}{
    普通コネクションかドキュメントのシェルがそこに書き込まれる
    ファイルの名前を与える文字列．
    既定はこれらのメソッドのコード化されたトピック名に対応する
    (現在 \code{f} に \code{"-methods.Rd"} が続く)．
    \code{FALSE} や \code{NA} でも良い(下を見よ)．}
  \item{methods}{
    ドキュメント化されるべきメソッドを与えるオプションのメソッドのリスト．
    既定では，この総称的関数に対する最初のメソッドが使われる
    (例えば，もし現在の大局的環境が
    \code{f} に対するあるメソッドを持てば，それらがドキュメント化される)．

    もしこの引数が提供されると，それは恐らく
    \code{getMethods(f, where)} で，\code{where} は
    \code{f} に対するメソッドを含むあるパッケージである．}
}
\value{
  もし \code{filename} が \code{FALSE} ならテキストが生成される；
  もし \code{filename} が \code{NA} ならば，ドキュメントのシェルのリスト風の
  表現が生成される．
  さもなければ書き込まれるファイルの名前が不可視で返される．
}
\details{
  もし \code{filename} が \code{FALSE} ならば，作られたテキストが
  返され，もしかすると総称的関数自体のドキュメントのような
  (\code{\link{prompt}} を見よ)他のドキュメントファイルが挿入されるかもしれない．

  もし \code{filename} が \code{NA} ならば，ドキュメントのシェルの
  リスト風の表現が作られ返される．
  シェルをファイルに書き込むことは
  \code{cat(unlist(x), file = filename, sep = "\\n")} に相当する，
  ここで \code{x} はリスト風表現である．

  さもなければ，ドキュメントのシェルは
  \code{filename} で指定されるファイルに書き込まれる．
}
\seealso{
  \code{\link{prompt}} と
  \code{\link{promptClass}}
}
\references{
 Chambers, John M. (2008)
 \emph{Software for Data Analysis: Programming with R}
  Springer.  (R バージョンに対して．)

 Chambers, John M. (1998)
 \emph{Programming with Data}
 Springer (オリジナルの S4 バージョンに対して．)
}
\keyword{programming}
\keyword{methods}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/methods/man/promptMethods.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{promptMethods}
%\alias{promptMethods}
%\title{ Generate a Shell for Documentation of Formal Methods }
%\description{
%  Generates a shell of documentation for the methods of a generic
%  function.
%}
%\usage{
%promptMethods(f, filename = NULL, methods)
%}
%\arguments{
%  \item{f}{a character string naming the generic function whose methods
%    are to be documented.}
%  \item{filename}{usually, a connection or a character string giving the
%    name of the file to which the documentation shell should be written.
%    The default corresponds to the coded topic name for these methods
%    (currently, \code{f} followed by \code{"-methods.Rd"}).  Can also be
%    \code{FALSE} or \code{NA} (see below).}
%  \item{methods}{Optional methods list object giving the methods to be
%    documented.  By default, the first methods object for this generic
%    is used (for example, if the current global environment has some
%    methods for \code{f}, these would be documented).
%
%    If this argument is supplied, it is likely to be
%    \code{getMethods(f, where)}, with \code{where} some package
%    containing methods for \code{f}.}
%}
%\value{
%  If \code{filename} is \code{FALSE}, the text generated;
%  if \code{filename} is \code{NA}, a list-style representation of the
%  documentation shell.
%  Otherwise, the name of the file written to is returned invisibly.
%}
%\details{
%  If \code{filename} is \code{FALSE}, the text created is returned,
%  presumably to be inserted some other documentation file, such as the
%  documentation of the generic function itself (see
%  \code{\link{prompt}}).
%
%  If \code{filename} is \code{NA}, a list-style representation of the
%  documentation shell is created and returned.  Writing the shell to a
%  file amounts to \code{cat(unlist(x), file = filename, sep = "\\n")},
%  where \code{x} is the list-style representation.
%
%  Otherwise, the documentation shell is written to the file specified by
%  \code{filename}.
%}
%\seealso{
%  \code{\link{prompt}} and
%  \code{\link{promptClass}}
%}
%\references{
% Chambers, John M. (2008)
% \emph{Software for Data Analysis: Programming with R}
%  Springer.  (For the R version.)
%
% Chambers, John M. (1998)
% \emph{Programming with Data}
% Springer (For the original S4 version.)
%}
%\keyword{programming}
%\keyword{methods}
%
%\encoding{UTF8}
%