% File src/library/methods/man/signature-class.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{signature-class}
\docType{class}
%@%\alias{メソッド定義に対するクラス "signature"}
\alias{signature-class}
\alias{show,signature-method}
\title{メソッド定義に対するクラス \code{"signature"}}
%\title{Class \code{"signature"} For Method Definitions}
\description{
  このクラスは関数の形式的引数のどれかから対応するクラスへの
  マッピングを表す．これは
  \code{\linkS4class{MethodDefinition}} クラス中の二つの
  スロットに対して使われる．
}
\section{クラスからのオブジェクト}{
  オブジェクトは
  形式 \code{new("signature", functionDef, ...)} の呼び出しにより
  作ることが出来る．
  もし関数オブジェクトとして与えられると，
  \code{functionDef} 引数は形式的な名前を定義する．
  他の引数はクラスを定義する．
  より典型的には，オブジェクトは
  メソッド定義の副作用として作られる．
  どちらの方法でも，普通対応するクラス定義が存在するので，
  クラスは適格に定義されていることが期待される．
  \code{package} スロットに関するコメントを見よ．
}
\section{スロット}{
  \describe{
    \item{\code{.Data}:}{クラス名のクラス \code{"character"} のオブジェクト．}
    \item{\code{names}:}{
      対応する引数名のクラス \code{"character"} のオブジェクト．}
    \item{\code{package}:}{
	クラス \code{"character"} のオブジェクトで
	クラス名に対応するパッケージ名．
        クラス名とパッケージの組み合わせは
	クラスをユニークに決定する．
        原則として，同じクラス名が複数のパッケージ中に
	現れるかもしれない，この場合
        シグネチャが上手く定義されるためには
        \code{package} 情報が必要とされる．}  }
}
\section{拡張}{
データ部分から，クラス \code{"character"}．
クラス "character" から，クラス \code{"vector"}．
}
\section{メソッド}{
  \describe{
    \item{initialize}{\code{signature(object = "signature")}：
      このクラスからのオブジェクトに対する議論は上を見よ．}
  }
}
\seealso{
  このクラスの用法についてはクラス \code{\linkS4class{MethodDefinition}}．
}

\keyword{classes}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/methods/man/signature-class.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{signature-class}
%\docType{class}
%\alias{signature-class}
%\alias{show,signature-method}
%\title{Class \code{"signature"} For Method Definitions}
%\description{This class represents the mapping of some of the formal
%  arguments of a function onto the corresponding classes.  It is used for
%  two slots in the \code{\linkS4class{MethodDefinition}} class.
%}
%\section{Objects from the Class}{
%  Objects can be created by calls of the form \code{new("signature",
%    functionDef, ...)}.  The \code{functionDef} argument, if it is
%  supplied as a function object, defines the formal names.  The other
%  arguments define the classes.  More typically, the objects are
%  created as side effects of defining methods.  Either way, note that
%  the classes are expected to be well defined, usually because the
%  corresponding class definitions exist.  See the comment on the
%  \code{package} slot.
%}
%\section{Slots}{
%  \describe{
%    \item{\code{.Data}:}{Object of class \code{"character"} the class names. }
%    \item{\code{names}:}{Object of class \code{"character"} the
%      corresponding argument names. }
%    \item{\code{package}:}{Object of class \code{"character"} the
%        names of the packages corresponding to the class names. The
%        combination of class name and package uniquely defines the
%        class.  In principle, the same class name could appear in more
%      than one package, in which case the \code{package} information
%      is required for the signature to be well defined.}  }
%}
%\section{Extends}{
%Class \code{"character"}, from data part.
%Class \code{"vector"}, by class "character".
%}
%\section{Methods}{
%  \describe{
%    \item{initialize}{\code{signature(object = "signature")}: see the
%      discussion of objects from the class, above. }
%  }
%}
%\seealso{
%  class \code{\linkS4class{MethodDefinition}} for the use of this class.
%}
%
%\keyword{classes}
%
%\encoding{UTF8}
%