% File src/library/methods/man/zBasicFunsList.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{.BasicFunsList}
%@%\alias{組み込みと特殊関数}
\alias{.BasicFunsList}
\title{組み込みと特殊関数}
%\title{List of Builtin and Special Functions}
\description{
  組み込みと特殊関数を総称的関数に変換する指示を提供する
  名前付きリスト．

  \code{.Primitive(<name>)} として定義された
  R 中の関数は，基本的な反射特性を持たないため，
  形式的メソッドに対しては適当でない．
  これらの関数に対する引数リストは関数オブジェクト自体を
  調べることでは見つけることが出来ない．

  将来のバージョンの R はこれを
  対応する関数に形式的引数リストを付加することでフィックスするかもしれない．
  一般的に引数の名前は関数を実装する内部コードでチェックされないが，
  幾つかの引数は頻繁にそうされる．

  どの場合でも，もしユーザがこれらの関数に対するメソッドを
  定義しようとすると形式的引数のある種の定義が必要になる．
  特に，もし複数のパッケージからのメソッドが混用されるならば，
  メソッドの異なったセットは形式的引数に関して一致する
  必要がある．

  反射性が無ければ，このリストは
  それに対してメソッドが許される既知の特殊関数の
  各々に対して関連するダミー関数を用いて
  関連する情報を提供する．

  同時に，リストはメソッドが意味を持たない(例えば \code{for})
  か単にまずいアイデアである(例えば \code{.Primitive})特殊関数
  にフラグを立てる．

  例えば，
  \code{\link{setMethod}} により作られるこれらの特殊関数の一つに
  対する総称的関数は\cr
  \code{.BasicFunsList} からの引数リストを持つ．
  もし何も項目がなければ，引数リスト \code{(x, ...)} が仮定される．
}
\keyword{ programming }
\keyword{ methods }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/methods/man/zBasicFunsList.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{.BasicFunsList}
%\alias{.BasicFunsList}
%\title{List of Builtin and Special Functions}
%\description{
%  A named list providing instructions for turning builtin and special
%  functions into generic functions.
%
%  Functions in R that are defined as \code{.Primitive(<name>)} are not
%  suitable for formal methods, because they lack the basic reflectance
%  property.  You can't find the argument list for these functions by
%  examining the function object itself.
%
%  Future versions of R may fix this by attaching a formal argument list
%  to the corresponding function.  While generally the names of arguments
%  are not checked by the internal code implementing the function, the
%  number of arguments frequently is.
%
%  In any case, some definition of a formal argument list is needed if
%  users are to define methods for these functions.  In particular, if
%  methods are to be merged from multiple packages, the different sets
%  of methods need to agree on the formal arguments.
%
%  In the absence of reflectance, this list provides the relevant
%  information  via a dummy function associated with each of the known
%  specials for which methods are allowed.
%
%  At the same, the list flags those specials for which methods are
%  meaningless (e.g., \code{for}) or just a very bad idea (e.g.,
%  \code{.Primitive}).
%
%  A generic function created via \code{\link{setMethod}}, for
%  example, for one of these special functions will have the argument
%  list from \code{.BasicFunsList}.  If no entry exists, the argument
%  list \code{(x, ...)}  is assumed.
%}
%\keyword{ programming }
%\keyword{ methods }
%
%\encoding{UTF8}
%