% File src/library/splines/man/asVector.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{asVector}
%@%\alias{ベクトルへの強制変換}
\alias{asVector}
\title{オブジェクトをベクトルへ強制変換する}
%\title{Coerce an Object to a Vector}
\description{
  これは総称的関数である．この関数に対するメソッドは
  与えられたクラスのオブジェクトをベクトルに強制変換する．
}
\usage{
asVector(object)
}
\arguments{
  \item{object}{オブジェクト．}
}
\value{
  ベクトル．
}
\details{
  新しいクラスでのベクトルへの強制変換メソッドは
  \code{as.vector} 関数ではなく \code{asVector} 総称的関数に対して
  作られなければならない．
  \code{as.vector} 関数は内部的であり簡単には拡張できない．
  現在 \code{asVector} メソッドを持つ唯一のクラスは
  \code{xyVector} である．
}
\author{Douglas Bates と Bill Venables}
\seealso{
  \code{\link{xyVector}}
}
\examples{
require(stats)
ispl <- interpSpline( weight ~ height,  women )
pred <- predict(ispl)
class(pred)
utils::str(pred)
asVector(pred)
}
\keyword{models}

\encoding{UTF8}
