% File src/library/splines/man/backSpline.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{backSpline}
%@%\alias{逆スプライン}
\alias{backSpline}
\title{単調逆スプライン}
%\title{Monotone Inverse Spline}
\description{
  単調な自然スプラインの単調な逆を作る．
}
\usage{
backSpline(object)
}
\arguments{
  \item{object}{
    クラス \code{nbSpline} または \code{npolySpline} を継承するオブジェクト．
    つまり，オブジェクトは自然な補間スプラインを表現しなければならないが，
    B スプライン表現でも区分的に線形な多項式表現でも良い．
    スプラインはそれが単調かどうかチェックされる．
  }
}
\value{
  クラス \code{polySpline} のオブジェクトで
  \code{object} で表されるスプラインの逆関数になるような
  ノット位置で適当な値と微分係数を持つ関数の区分的多項式関数表現を持つ．
  技術的にはこのオブジェクトはノット位置で2階微分係数が連続になるように
  拘束されていないためにスプラインではない．
  しかしながらこれはしばしば
  y/x 対への補間スプラインよりもかなり良い近似を与える．
}
\author{Douglas Bates と Bill Venables}
\seealso{
  \code{\link{interpSpline}}
}
\examples{
require(graphics)
ispl <- interpSpline( women$height, women$weight )
bspl <- backSpline( ispl )
plot( bspl )                   # ノットの範囲上でプロット
points( women$weight, women$height )
}
\keyword{ models }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/splines/man/backSpline.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{backSpline}
%\alias{backSpline}
%\title{Monotone Inverse Spline}
%\description{
%  Create a monotone inverse of a monotone natural spline.
%}
%\usage{
%backSpline(object)
%}
%\arguments{
%  \item{object}{an object that inherits from class \code{nbSpline} or
%    \code{npolySpline}.  That is, the object must represent a natural
%    interpolation spline but it can be either in the B-spline
%    representation or the piecewise polynomial one.  The spline is
%    checked to see if it represents a monotone function.
%  }
%}
%\value{
%  An object of class \code{polySpline} that contains the piecewise
%  polynomial representation of a function that has the appropriate
%  values and derivatives at the knot positions to be an inverse of the
%  spline represented by \code{object}.  Technically this object is not a
%  spline because the second derivative is not constrained to be
%  continuous at the knot positions.  However, it is often a much better
%  approximation to the inverse than fitting an interpolation spline to
%  the y/x pairs.
%}
%\author{Douglas Bates and Bill Venables}
%\seealso{
%  \code{\link{interpSpline}}
%}
%\examples{
%require(graphics)
%ispl <- interpSpline( women$height, women$weight )
%bspl <- backSpline( ispl )
%plot( bspl )                   # plots over the range of the knots
%points( women$weight, women$height )
%}
%\keyword{ models }
%
%\encoding{UTF8}
%