% File src/library/stats/man/lag.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2014 R Core Team
% Distributed under GPL 2 or later

\name{lag}
\alias{lag}%@%\alias{時系列のラグを取る}
\alias{lag.default}
\title{Lag a Time Series}
\description{
  与えられた観測値数だけ時系列を過去にシフトし，
  時系列のラグ化バージョンを計算する．
  
  \code{lag} は総称的関数である；この頁は既定メソッドだけを解説する．
  }
\usage{
lag(x, \dots)

\method{lag}{default}(x, k = 1, \dots)
}
\arguments{
  \item{x}{ベクトル，行列又は多変量時系列．}
  \item{k}{ラグの数(観測値数単位)．}
  \item{\dots}{メソッドに・から渡される追加引数．}
}
\details{  
  ベクトルもしくは行列引数 \code{x} は \code{\link{hasTsp}} を使って
  \code{tsp} 属性を与えられる．
}
\value{
  \code{x} と同じクラスの時系列オブジェクト．
}

\note{
  \code{k} の符号に注意する：正の
  \code{k} でラグを取った系列は\emph{早く}始まる．
}

\references{
  Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988)
  \emph{The New S Language}.
  Wadsworth & Brooks/Cole.
}
\seealso{\code{\link{diff}}, \code{\link{deltat}} }

\examples{
lag(ldeaths, 12) # 一年早く開始
}
\keyword{ts}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/lag.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{lag}
%\alias{lag}
%\alias{lag.default}
%\title{Lag a Time Series}
%\description{
%  Compute a lagged version of a time series, shifting the time base
%  back by a given number of observations.
%  
%  \code{lag} is a generic function; this page documents its default
%  method.
%  }
%\usage{
%lag(x, \dots)
%
%\method{lag}{default}(x, k = 1, \dots)
%}
%\arguments{
%  \item{x}{A vector or matrix or univariate or multivariate time series}
%  \item{k}{The number of lags (in units of observations).}
%  \item{\dots}{further arguments to be passed to or from methods.}
%}
%\details{  
%  Vector or matrix arguments \code{x} are given a \code{tsp} attribute
%  \emph{via} \code{\link{hasTsp}}.
%}
%\value{
%  A time series object with the same class as \code{x}.
%}
%
%\note{
%  Note the sign of \code{k}: a series lagged by a positive \code{k}
%  starts \emph{earlier}.
%}
%
%\references{
%  Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988)
%  \emph{The New S Language}.
%  Wadsworth & Brooks/Cole.
%}
%\seealso{\code{\link{diff}}, \code{\link{deltat}} }
%
%\examples{
%lag(ldeaths, 12) # starts one year earlier
%}
%\keyword{ts}
%
%\encoding{UTF-8}
%
