% File src/library/stats/man/ls.print.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2009 R Core Team
% Distributed under GPL 2 or later

\name{ls.print}
\title{Print \code{lsfit} Regression Results}
\usage{
ls.print(ls.out, digits = 4, print.it = TRUE)
}
\alias{ls.print}%@%\alias{lsfit による回帰結果のプリント}
\arguments{
  \item{ls.out}{典型的に \code{\link{lsfit}()} の結果．}
  \item{digits}{プリントに使われる有効桁数．}
  \item{print.it}{結果をまたプリントすべきかどうかを指示する論理値．}
}
\description{
  回帰係数に対する標準偏差，t と p 値を含む
  基本的統計量を計算する．
  もし \code{print.it} が \code{TRUE} ならばそれらをプリントする．
}
\value{
  次の成分を持つリスト
  \item{summary}{回帰の ANOVA 表．}
  \item{coef.table}{回帰係数の行列，標準偏差，t と p 値．}
}
\note{
  普通似たような出力を得るためには
  \code{summary(lm(\dots))} と \code{anova(lm(\dots))} を使う．
}
\seealso{
  \code{\link{ls.diag}}, \code{\link{lsfit}} そしてその例；
  \code{\link{lm}}，普通より好ましい \code{\link{lm.influence}}．
}
\keyword{regression}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/ls.print.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2009 R Core Team
%% Distributed under GPL 2 or later
%
%\name{ls.print}
%\title{Print \code{lsfit} Regression Results}
%\usage{
%ls.print(ls.out, digits = 4, print.it = TRUE)
%}
%\alias{ls.print}
%\arguments{
%  \item{ls.out}{Typically the result of \code{\link{lsfit}()}}
%  \item{digits}{The number of significant digits used for printing}
%  \item{print.it}{a logical indicating whether the result should also be
%    printed}
%}
%\description{
%  Computes basic statistics, including standard errors, t- and p-values
%  for the regression coefficients and prints them if \code{print.it} is
%  \code{TRUE}.
%}
%\value{
%  A list with the components
%  \item{summary}{The ANOVA table of the regression}
%  \item{coef.table}{matrix with regression coefficients, standard
%    errors, t- and p-values}
%}
%\note{
%  Usually you would use \code{summary(lm(\dots))} and
%  \code{anova(lm(\dots))} to obtain similar output.
%}
%\seealso{
%  \code{\link{ls.diag}}, \code{\link{lsfit}}, also for examples;
%  \code{\link{lm}}, \code{\link{lm.influence}} which usually are
%  preferable.
%}
%\keyword{regression}
%
%\encoding{UTF-8}
%
