% File src/library/stats/man/power.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{power}
\alias{power}%@%\alias{巾乗リンクオブジェクトを作る}
\title{Create a Power Link Object}
\usage{
power(lambda = 1)
}
\arguments{
    \item{lambda}{実数．}
}
\description{
  リンク関数 \eqn{\eta = \mu ^ \lambda} に基づくリンクオブジェクトを作る．
}
\details{
    もし \code{lambda} が正でなければ，それはゼロとされ
    対数リンクが得られる．
    既定の \code{lambda = 1} は恒等リンクを与える．
}
\value{
    A list with components
    成分 \code{linkfun}, \code{linkinv},
    \code{mu.eta} そして \code{valideta} を持つリスト．
    これらの意味については \code{\link{make.link}} を見よ．
}
\references{
  Chambers, J. M. and Hastie, T. J. (1992)
  \emph{Statistical Models in S.}
  Wadsworth & Brooks/Cole.
}
\seealso{
  \code{\link{make.link}},
  \code{\link{family}}

  数の巾乗については \code{\link{Arithmetic}} を見よ．

  検定のパワーを計算するにはパッケージ
  \pkg{stats} 中の様々な関数を見よ，例えば \code{\link{power.t.test}}．
}
\examples{
power()
quasi(link = power(1/3))[c("linkfun", "linkinv")]
}
\keyword{models}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/power.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{power}
%\alias{power}
%\title{Create a Power Link Object}
%\usage{
%power(lambda = 1)
%}
%\arguments{
%    \item{lambda}{a real number.}
%}
%\description{
%  Creates a link object based on the link function
%  \eqn{\eta = \mu ^ \lambda}.
%}
%\details{
%    If \code{lambda} is non-positive, it is taken as zero, and the log
%    link is obtained.  The default \code{lambda = 1} gives the identity
%    link.
%}
%\value{
%    A list with components \code{linkfun}, \code{linkinv},
%    \code{mu.eta}, and \code{valideta}.
%    See \code{\link{make.link}} for information on their meaning.
%}
%\references{
%  Chambers, J. M. and Hastie, T. J. (1992)
%  \emph{Statistical Models in S.}
%  Wadsworth & Brooks/Cole.
%}
%\seealso{
%  \code{\link{make.link}},
%  \code{\link{family}}
%
%  To raise a number to a power, see \code{\link{Arithmetic}}.
%
%  To calculate the power of a test, see various functions in the
%  \pkg{stats} package, e.g., \code{\link{power.t.test}}.
%}
%\examples{
%power()
%quasi(link = power(1/3))[c("linkfun", "linkinv")]
%}
%\keyword{models}
%
%\encoding{UTF-8}
%
