% File src/library/stats/man/setNames.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2012 R Core Team
% Copyright 2005-2012 The R Foundation
% Distributed under GPL 2 or later

\name{setNames}
\alias{setNames}%@%\alias{オブジェクトの名前属性を設定}
\title{Set the Names in an Object}
\usage{
setNames(object = nm, nm)
}
\arguments{
 \item{object}{
   \code{names} 属性が意味を持つようなオブジェクト．}
 \item{nm}{オブジェクトに付値される名前の文字列ベクトル．}
}
\description{
  これはオブジェクトに名前を設定しそれを返す便利関数である．
  これは返されるべきオブジェクトを作り，それを一つの名前ではなく複数の名前で
  保存したい関数定義の最後で最も有用である．
}
\value{
  \code{object} と同じ類のオブジェクトで新しい名前が
  付値されている．
}
\author{Douglas M. Bates と Saikat DebRoy }
\seealso{名前を取り除くには \code{\link{unname}}．
}
\examples{
setNames( 1:3, c("foo", "bar", "baz") )
# これは単に次の短縮形
tmp <- 1:3
names(tmp) <-  c("foo", "bar", "baz")
tmp

## 文字列の特殊ケース，既定値を使う
setNames(nm = c("First", "2nd"))
}
\keyword{list}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/setNames.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2012 R Core Team
%% Copyright 2005-2012 The R Foundation
%% Distributed under GPL 2 or later
%
%\name{setNames}
%\alias{setNames}
%\title{Set the Names in an Object}
%\usage{
%setNames(object = nm, nm)
%}
%\arguments{
% \item{object}{an object for which a \code{names} attribute will be meaningful }
% \item{nm}{a character vector of names to assign to the object}
%}
%\description{
%  This is a convenience function that sets the names on an object and
%  returns the object.  It is most useful at the end of a function
%  definition where one is creating the object to be returned and would
%  prefer not to store it under a name just so the names can be assigned.
%}
%\value{
%  An object of the same sort as \code{object} with the new names assigned.
%}
%\author{Douglas M. Bates and Saikat DebRoy }
%\seealso{\code{\link{unname}} for removing names.
%}
%\examples{
%setNames( 1:3, c("foo", "bar", "baz") )
%# this is just a short form of
%tmp <- 1:3
%names(tmp) <-  c("foo", "bar", "baz")
%tmp
%
%## special case of character vector, using default
%setNames(nm = c("First", "2nd"))
%}
%\keyword{list}
%
%\encoding{UTF-8}
%
