% File src/library/stats/man/start.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{start}
\title{Encode the Terminal Times of Time Series}
\usage{
start(x, \dots)
end(x, \dots)
}
\alias{start}%@%\alias{時系列の開始と終了時刻}
\alias{end}
\arguments{
    \item{x}{一変量もしくは多変量時系列，又はベクトルか行列．}
    \item{\dots}{その他のメソッドへの追加引数．}
}
\description{
    最初と最後の観測が行われた時間を取り出しエンコードする．
    S のバージョン2との互換性のためだけに提供される．
}
\details{
    これらは総称関数であり，
    もし存在すれば \code{x} の \code{\link{tsp}} 属性を利用する．
    それらの既定メソッドはオリジナルの時間単位から開始時間を
    デコードし，従って
    月別の時系列では \code{1995.5} は \code{c(1995, 7)} となる．
    周波数 \code{f} の系列に対しては
    \code{n+i/f} は \code{c(n, i+1)} と表される
    (たとえ \code{i = 0} に対して\code{f = 1} であっても)．
}
\section{警告}{
    \code{start} と \code{end} で使われる表現は周波数が
    与えられない限り無意味である．
}
\seealso{
  \code{\link{ts}}, \code{\link{time}}, \code{\link{tsp}}.
}
\keyword{ts}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/start.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{start}
%\title{Encode the Terminal Times of Time Series}
%\usage{
%start(x, \dots)
%end(x, \dots)
%}
%\alias{start}
%\alias{end}
%\arguments{
%    \item{x}{a univariate or multivariate time-series, or a vector or matrix.}
%    \item{\dots}{extra arguments for future methods.}
%}
%\description{
%    Extract and encode the times the first and last observations were
%    taken. Provided only for compatibility with S version 2.
%}
%\details{
%    These are generic functions, which will use the
%    \code{\link{tsp}} attribute of \code{x} if it exists.
%    Their default methods decode the start time from the original time
%    units, so that for a monthly series \code{1995.5} is represented
%    as \code{c(1995, 7)}. For a series of frequency \code{f}, time
%    \code{n+i/f} is presented as \code{c(n, i+1)} (even for \code{i = 0}
%    and \code{f = 1}).
%}
%\section{Warning}{
%    The representation used by \code{start} and \code{end} has no
%    meaning unless the frequency is supplied.
%}
%\seealso{
%  \code{\link{ts}}, \code{\link{time}}, \code{\link{tsp}}.
%}
%\keyword{ts}
%
%\encoding{UTF-8}
%
