% File src/library/stats/man/stats-deprecated.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2014 R Core Team
% Distributed under GPL 2 or later

\name{stats-deprecated}
\alias{stats-deprecated}%@%\alias{廃止予定の stats パッケージのオブジェクト}
\alias{plclust}
%------ NOTE:  ../R/stats-deprecated.R   must be synchronized with this!
\title{Deprecated Functions in Package \pkg{stats}}
%------ PLEASE: one \alias{.} for EACH ! (+ one \usage{} & \arguments{} for all)
\description{
  これらの関数は \R の古いバージョンとの互換性のためだけに
  提供されており，次のリリースで廃止されるかもしれない．
}
\usage{
plclust(tree, hang = 0.1, unit = FALSE, level = FALSE, hmin = 0,
        square = TRUE, labels = NULL, plot. = TRUE,
        axes = TRUE, frame.plot = FALSE, ann = TRUE,
        main = "", sub = NULL, xlab = NULL, ylab = "Height")
}
\arguments{
  \item{tree}{
   \code{\link{hclust}} により作られるタイプのオブジェクト．}

  \item{hang}{
    ラベルがプロットの残りに吊り下げられるべきプロットの高さの割合．
    負の値はラベルを0から吊り下げるようにする．}

  \item{unit}{論理値．もし真ならば，分割は
    オブジェクト中の高さ位置ではなく
    等間隔の高さにプロットされる．}
  
  \item{labels}{木の葉に対するラベルの文字列．
    既定ではオリジナルのデータの行名又は行番号が使われる．
    もし \code{labels = FALSE} ならラベルは全くプロットされない．}

  \item{axes, frame.plot, ann}{
    \code{\link{plot.default}} 中におけるような論理フラグ．}
  
  \item{main, sub, xlab, ylab}{
    \code{\link{title}} に対する文字列． \code{sub} と \code{xlab} は
    \code{tree$call} があれば NULL でない既定値を持つ．}
  \item{\dots}{追加のグラフィカル引数．たとえば，
    \code{cex} は \code{\link{text}} と同じようにラベルのサイズ
    (もしプロットされるのならば)を制御する．}

  \item{hmin}{数値．
    \code{hmin} より小さい高さは
    \code{hmin} であるとされる：これは木の底部の詳細を抑制するのに
    使うことができる．}
  
  \item{level, square, plot.}{
    S-PLUS との互換性のための未移植の引数．}
}

\details{
  %-- Either:
  %There are currently no deprecated functions in this package.
  %-- Or:
  %% explain *why* it's deprecated, and \code{\link{..}} to new
  \code{plcust} は
  \code{\link{hclust}} に対する \code{plot} メソッドに
  対する廃止予定のラッパであり，
  S-PLUS との互換性のためにかなり昔に提供された．
}
\seealso{
  \code{\link{Deprecated}}
}
\keyword{misc}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/stats-deprecated.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{stats-deprecated}
%\alias{stats-deprecated}
%\alias{plclust}
%%------ NOTE:  ../R/stats-deprecated.R   must be synchronized with this!
%\title{Deprecated Functions in Package \pkg{stats}}
%%------ PLEASE: one \alias{.} for EACH ! (+ one \usage{} & \arguments{} for all)
%\description{
%  These functions are provided for compatibility with older versions of
%  \R only, and may be defunct as soon as the next release.
%}
%\usage{
%plclust(tree, hang = 0.1, unit = FALSE, level = FALSE, hmin = 0,
%        square = TRUE, labels = NULL, plot. = TRUE,
%        axes = TRUE, frame.plot = FALSE, ann = TRUE,
%        main = "", sub = NULL, xlab = NULL, ylab = "Height")
%}
%\arguments{
%  \item{tree}{an object of the type produced by \code{\link{hclust}}.}
%
%  \item{hang}{The fraction of the plot height by which labels should hang
%    below the rest of the plot.
%    A negative value will cause the labels to hang down from 0.}
%
%  \item{unit}{logical.  If true, the splits are plotted at
%    equally-spaced heights rather than at the height in the object.}
%  
%  \item{labels}{A character vector of labels for the leaves of the
%    tree. By default the row names or row numbers of the original data are
%    used. If \code{labels = FALSE} no labels at all are plotted.}
%
%  \item{axes, frame.plot, ann}{logical flags as in \code{\link{plot.default}}.}
%  
%  \item{main, sub, xlab, ylab}{character strings for
%    \code{\link{title}}.  \code{sub} and \code{xlab} have a non-NULL
%    default when there's a \code{tree$call}.}
%  \item{\dots}{Further graphical arguments.  E.g., \code{cex} controls
%    the size of the labels (if plotted) in the same way as \code{\link{text}}.}
%
%  \item{hmin}{numeric.  All heights less than \code{hmin} are regarded
%    as being \code{hmin}: this can be used to suppress detail at the
%    bottom of the tree.}
%  
%  \item{level, square, plot.}{unimplemented arguments for S-PLUS compatibility.}
%}
%
%\details{
%  %-- Either:
%  %There are currently no deprecated functions in this package.
%  %-- Or:
%  %% explain *why* it's deprecated, and \code{\link{..}} to new
%  \code{plcust} is a deprecated wrapper for the \code{plot} method for
%  \code{\link{hclust}}, provided long ago for S-PLUS compatibility.
%}
%\seealso{
%  \code{\link{Deprecated}}
%}
%\keyword{misc}
%
%\encoding{UTF-8}
