% File src/library/stats4/man/profile.mle-class.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\encoding{UTF-8}
\name{profile.mle-class}
\docType{class}
\title{クラス \code{"profile.mle"}; \code{"mle"} オブジェクトのためのプロファイリング情報}
\alias{profile.mle-class}
%%\title{
%%  Class \code{"profile.mle"}; Profiling information for \code{"mle"} object
%%}
\description{
  尤度の各パラメータに沿った尤度プロファイル．}
\section{クラスからのオブジェクト}{
  形式 \code{new("profile.mle", ...)} の呼び出しでオブジェクトを
  作ることができるが，最もしばしば "mle" オブジェクトに対し
  \code{profile} を適用して得られる．
}
\section{スロット}{
  \describe{
    \item{\code{profile}:}{
      リストオブジェクト．
      各要求されたパラメータに対して一つのプロファイルのりスト．
      各プロファイルはデータフレームで，
      \code{z} と呼ばれる最初の列は -2 倍の対数尤度比の符号付きルートで，他は
      \code{par.vals.} が先頭についた名前のパラメータ．}
    \item{\code{summary}:}{
     クラス \code{"summary.mle"} のオブジェクト．
      プロファイルされたオブジェクトの要約，}
  }
}
\section{メソッド}{
  \describe{
    \item{confint}{\code{signature(object = "profile.mle")}：
      パラメータに対する近似信頼区間の生成にプロファイルを使う．}
    \item{plot}{\code{signature(x = "profile.mle", y = "missing")}：
      各パラメータに対するプロファイルをプロットする．}
  }
}
\seealso{
  \code{\link{mle}}, \code{\link{mle-class}}, \code{\link{summary.mle-class}}
}
%% Do we want examples for classes??
%%\examples{
%%}
\keyword{classes}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats4/man/profile.mle-class.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{profile.mle-class}
%\docType{class}
%\alias{profile.mle-class}
%\title{
%  Class \code{"profile.mle"}; Profiling information for \code{"mle"} object
%}
%\description{Likelihood profiles along each parameter of likelihood function}
%\section{Objects from the Class}{
%Objects can be created by calls of the form \code{new("profile.mle",
%  ...)}, but most often by invoking \code{profile} on an "mle" object.
%}
%\section{Slots}{
%  \describe{
%    \item{\code{profile}:}{Object of class \code{"list"}. List of
%      profiles, one for each requested parameter. Each profile is a data
%      frame with the first column called \code{z} being the signed square
%      root of the -2 log likelihood ratio, and the others being the
%      parameters with names prefixed by \code{par.vals.}}
%    \item{\code{summary}:}{Object of class \code{"summary.mle"}. Summary
%      of object being profiled.}
%  }
%}
%\section{Methods}{
%  \describe{
%    \item{confint}{\code{signature(object = "profile.mle")}: Use profile
%      to generate approximate confidence intervals for parameters.}
%    \item{plot}{\code{signature(x = "profile.mle", y = "missing")}: Plot
%      profiles for each parameter.}
%  }
%}
%\seealso{
%  \code{\link{mle}}, \code{\link{mle-class}}, \code{\link{summary.mle-class}}
%}
%%% Do we want examples for classes??
%%%\examples{
%%%}
%\keyword{classes}
%
