% File src/library/tools/man/HTMLlinks.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2009 R Core Team
% Distributed under GPL 2 or later

\name{HTMLlinks}
%@%\alias{パッケージドキュメントからの HTML リンクを集める}
\alias{findHTMLlinks}
\title{パッケージドキュメントからの HTML リンクを集める}
%\title{Collect HTML Links from Package Documentation}
\description{
  他のパッケージのインストールされた HTML ドキュメントへの URL に
  対する相対ファイルパスを計算する．
}
\usage{
findHTMLlinks(pkgDir = "", lib.loc = NULL, level = 0:2)
}
\arguments{
  \item{pkgDir}{インストール済みのパッケージのトップディレクトリ．
    既定はどのパッケージも指示しない．}
  \item{lib.loc}{
    スキャンする \R ライブラリツリーの位置を記述する文字列：
    既定は \code{\link{.libPaths}()} を指示する．}
  \item{level}{どのレベルをインクルードするか．}
}
\details{
  \code{findHTMLlinks} は一つのヘルプページから別へのリンクを解決しようと
  試みる．これは次の減少順の優先度を使う
  \itemize{
    \item \code{pkgDir} 中のパッケージ：これは
    そのパッケージ(レベル 0)に対する HTML ヘルプの変換時に使われる．
    \item 基本と推奨パッケージ(レベル 1)．
    \item  \code{lib.loc} で指定されるライブラリツリー中でツリーの順序そして一つの
    ライブラリツリー中ではアルファベット順で見つかる他のパッケージ
    (レベル 2)．
  }
}
\value{
  ファイルパスの名前付き文字列ベクトルで，
  インストール済みのパッケージの
  \file{html} ディレクトリに対して相対的．従ってこれらは
  形式
  \file{"../../\var{somepkg}/html/\var{sometopic}.html"}
  でなければならない．
}
\author{Duncan Murdoch, Brian Ripley}
\keyword{ documentation }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/HTMLlinks.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2009 R Core Team
%% Distributed under GPL 2 or later
%
%\name{HTMLlinks}
%\alias{findHTMLlinks}
%\title{Collect HTML Links from Package Documentation}
%\description{
%  Compute relative file paths for URLs to other package's installed HTML
%  documentation.
%}
%\usage{
%findHTMLlinks(pkgDir = "", lib.loc = NULL, level = 0:2)
%}
%\arguments{
%  \item{pkgDir}{the top-level directory of an installed package.  The
%    default indicates no package.}
%  \item{lib.loc}{character vector describing the location of \R library
%    trees to scan: the default indicates \code{\link{.libPaths}()}.}
%  \item{level}{Which level(s) to include.}
%}
%\details{
%  \code{findHTMLlinks} tries to resolve links from one help page to
%  another.  It uses in decreasing priority
%  \itemize{
%    \item The package in \code{pkgDir}: this is used when converting
%    HTML help for that package (level 0).
%    \item The base and recommended packages (level 1).
%    \item Other packages found in the library trees specified by
%    \code{lib.loc} in the order of the trees and alphabetically within a
%    library tree (level 2).
%  }
%}
%\value{
%  A named character vector of file paths, relative to the \file{html}
%  directory of an installed package.  So these are of the form
%  \file{"../../\var{somepkg}/html/\var{sometopic}.html"}.
%}
%\author{Duncan Murdoch, Brian Ripley}
%\keyword{ documentation }
%
%\encoding{UTF8}
%