% File src/library/tools/man/makevars.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2016 R Core Team
% Distributed under GPL 2 or later

\name{makevars}
%@%\alias{コンパイル用の makevars 変数}
\alias{makevars_user}
\alias{makevars_site}
\title{ユーザとサイトのコンパイル用変数}
%\title{User and Site Compilation Variables}
\usage{
makevars_user()
makevars_site()
}
\description{
  パッケージのコンパイルをカスタム化するために
  ユーザとサイト固有の \file{Makevars} の位置を決定する．
}
\value{
  ユーザとサイト固有の \file{Makevars} ファイルへのパスを持つ
  文字列，またはもしそうしたファイルがなければ空文字列を返す．
  の位置を決定する．
}
\details{
  パッケージの保守者はこれらの関数をユーザとサイトの特定のコンパイル設定を
  \R の機構を使わないコンパイルにも使うことに用いることが出来る
  (特に副ディレクトリ
  \file{src} 中のカスタムコンパイル)，つまり
  \R を
  \code{cat(tools::makevars_user())} や
  \code{cat(tools::makevars_site())} を用いて呼び出す
  コンフィギュレーションコードを加えたり，
  \option{-f} を用いた Make の起動に空でないこれを渡すことにより．
}
\seealso{
  マニュアル \dQuote{R Installation and Administration} 中の
  \dQuote{Customizing package compilation} 節．
  }
%% \donttest as output is user/site-dependent
\examples{\donttest{
makevars_user()
makevars_site()
}}
\keyword{utilities}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/makevars.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2016 R Core Team
%% Distributed under GPL 2 or later
%
%\name{makevars}
%\alias{makevars_user}
%\alias{makevars_site}
%\title{User and Site Compilation Variables}
%\usage{
%makevars_user()
%makevars_site()
%}
%\description{
%  Determine the location of the user and site specific \file{Makevars}
%  files for customizing package compilation.
%}
%\value{
%  A character string with the path to the user or site specific
%  \file{Makevars} file, or an empty character vector if there is no such
%  file.
%}
%\details{
%  Package maintainers can use these functions to employ user and site
%  specific compilation settings also for compilations not using \R's
%  mechanisms (in particular, custom compilations in subdirectories of
%  \file{src}), e.g., by adding configure code calling \R with
%  \code{cat(tools::makevars_user())} or
%  \code{cat(tools::makevars_site())}, and if non-empty passing this with
%  \option{-f} to custom Make invocations.
%}
%\seealso{
%  Section \dQuote{Customizing package compilation} in the 
%  \dQuote{R Installation and Administration} manual.
%}
%%% \donttest as output is user/site-dependent
%\examples{\donttest{
%makevars_user()
%makevars_site()
%}}
%\keyword{utilities}
%
%\encoding{UTF8}
%