% File src/library/tools/man/startDynamicHelp.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2009-2015 R Core Team
% Distributed under GPL 2 or later

\name{startDynamicHelp}
%@%\alias{ダイナミックなヘルプ}
\alias{startDynamicHelp}
\alias{help.ports}
\alias{R_DISABLE_HTTPD}

%\title{Start the Dynamic HTML Help System}
\title{ダイナミックな HTML ヘルプシステムを開始する}
\description{
  この関数は内部的なヘルプサーバーを開始するので，
  要求されれば HTML ヘルプページが変換される．
}
\usage{
startDynamicHelp(start = TRUE)
}
\arguments{
  \item{start}{論理値：動的なヘルプページを開始するか停止するか．
    もし \code{NA} ならサーバーが既に実行中でなければ開始される．}
}
\details{
  この関数はバイブ的な
  HTTP サーバーを開始する，これはループバックインタフェイス
  (\code{127.0.0.1}) 上で稼働する．
  もし \code{options("help.ports")} がゼロでない整数値のベクトルに
  設定されると，
  \code{startDynamicHelp} はこれらのポートを順に試みる；
  さもなければそれは未使用のものを見つけるため
  10 個のランダムなポートを試みる．
  これは環境変数 \env{R_DISABLE_HTTPD} を空でない値に設定するか
  \code{options("help.ports")} を \code{0} に設定することで無効に出来る．

  \code{startDynamicHelp} はサーバーを使うことが必要な関数により
  呼び出されるので，滅多にユーザからは直接に呼び出されない．

  HTML ヘルプを実際に使うには
  \code{options(help_type = "html")} を設定されなければ
  ならないことを注意するが，これは \R のインストールに対しては
  既定値かもしれない．

  もしサーバーをが開始できないか無効であれば．
  \code{\link{help.start}} は利用できず
  HTML ヘルプに対しテキストのヘルプを与えるように
  要求する(警告が出る)．

  使用中のブラウザはループバックインタフェイスに
  接続出来る必要はない：
  時折これは全てのインタフェイスで
  HTTP に対するプロキシを使うように設定されるが，これは上手く行かない
  -- 解決策は \code{127.0.0.1} に対する例外を加えることである．
}
\value{
  選択されたポート番号が不可視で返される
  (これはもしポートが停止していれば \code{0} になる)．
}
\seealso{
  \code{\link{help.start}} と \code{\link{help}(help_type = "html")}
  はもし要求されれば HTTP サーバーを開始する．

  \code{\link{Rd2HTML}} はパッケージのヘルプページを変換するのに使われる．
}
\keyword{ documentation }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/startDynamicHelp.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2009-2015 R Core Team
%% Distributed under GPL 2 or later
%
%\name{startDynamicHelp}
%\alias{startDynamicHelp}
%\alias{help.ports}
%\alias{R_DISABLE_HTTPD}
%
%\title{Start the Dynamic HTML Help System}
%\description{
%  This function starts the internal help server, so that HTML help pages
%  are rendered when requested.
%}
%\usage{
%startDynamicHelp(start = TRUE)
%}
%\arguments{
%  \item{start}{logical: whether to start or shut down the dynamic help
%    system.  If \code{NA}, the server is started if not already running.}
%}
%\details{
%  This function starts the internal HTTP server, which runs on the
%  loopback interface (\code{127.0.0.1}).  If \code{options("help.ports")}
%  is set to a vector of non-zero integer values, \code{startDynamicHelp} will try
%  those ports in order; otherwise, it tries up to 10 random ports to
%  find one not in use.  It can be disabled by setting the environment
%  variable \env{R_DISABLE_HTTPD} to a non-empty value or \code{options("help.ports")}
%  to \code{0}.
%
%  \code{startDynamicHelp} is called by functions that need to use the
%  server, so would rarely be called directly by a user.
%
%  Note that \code{options(help_type = "html")} must be set to actually
%  make use of HTML help, although it might be the default for an \R
%  installation.
%
%  If the server cannot be started or is disabled,
%  \code{\link{help.start}} will be unavailable and requests for HTML
%  help will give text help (with a warning).
%
%  The browser in use does need to be able to connect to the loopback
%  interface: occasionally it is set to use a proxy for HTTP on all
%  interfaces, which will not work -- the solution is to add an exception
%  for \code{127.0.0.1}.
%}
%\value{
%  The chosen port number is returned invisibly (which will be \code{0}
%  if the server has been stopped).
%}
%\seealso{
%  \code{\link{help.start}} and \code{\link{help}(help_type = "html")}
%  will attempt to start the HTTP server if required
%
%  \code{\link{Rd2HTML}} is used to render the package help pages.
%}
%\keyword{ documentation }
%
%\encoding{UTF8}
%